DROP TABLE IF EXISTS `#__banner`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__banner` (
  `bid` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` varchar(30) NOT NULL DEFAULT 'banner',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `imageurl` varchar(100) NOT NULL DEFAULT '',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `date` datetime DEFAULT NULL,
  `showBanner` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor` varchar(50) DEFAULT NULL,
  `custombannercode` text,
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `tags` text NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`bid`),
  KEY `viewbanner` (`showBanner`),
  KEY `idx_banner_catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__bannerclient`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__bannerclient` (
  `cid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `checked_out` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out_time` time DEFAULT NULL,
  `editor` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__bannertrack`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__bannertrack` (
  `track_date` date NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `image` varchar(255) NOT NULL DEFAULT '',
  `section` varchar(50) NOT NULL DEFAULT '',
  `image_position` varchar(30) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor` varchar(50) DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`section`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__categories` VALUES (1,0,'Blog','','blog','','1','left','',1,0,'0000-00-00 00:00:00',NULL,1,0,0,''),(2,0,'Contacts','','contacts','','com_contact_details','left','',1,0,'0000-00-00 00:00:00',NULL,1,0,0,''),(3,0,'YOOtheme Links','','yootheme-links','','com_weblinks','left','',1,0,'0000-00-00 00:00:00',NULL,1,0,0,''),(4,0,'Frontpage','','frontpage','','2','left','',1,0,'0000-00-00 00:00:00',NULL,2,0,0,'');
DROP TABLE IF EXISTS `#__components`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__components` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '',
  `link` varchar(255) NOT NULL DEFAULT '',
  `menuid` int(11) unsigned NOT NULL DEFAULT '0',
  `parent` int(11) unsigned NOT NULL DEFAULT '0',
  `admin_menu_link` varchar(255) NOT NULL DEFAULT '',
  `admin_menu_alt` varchar(255) NOT NULL DEFAULT '',
  `option` varchar(50) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `admin_menu_img` varchar(255) NOT NULL DEFAULT '',
  `iscore` tinyint(4) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `enabled` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `parent_option` (`parent`,`option`(32))
) ENGINE=MyISAM AUTO_INCREMENT=37 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__components` VALUES (1,'Banners','',0,0,'','Banner Management','com_banners',0,'js/ThemeOffice/component.png',0,'track_impressions=0\ntrack_clicks=0\ntag_prefix=\n\n',1),(2,'Banners','',0,1,'option=com_banners','Active Banners','com_banners',1,'js/ThemeOffice/edit.png',0,'',1),(3,'Clients','',0,1,'option=com_banners&c=client','Manage Clients','com_banners',2,'js/ThemeOffice/categories.png',0,'',1),(4,'Web Links','option=com_weblinks',0,0,'','Manage Weblinks','com_weblinks',0,'js/ThemeOffice/component.png',0,'show_comp_description=1\ncomp_description=\nshow_link_hits=1\nshow_link_description=1\nshow_other_cats=1\nshow_headings=1\nshow_page_title=1\nlink_target=0\nlink_icons=\n\n',1),(5,'Links','',0,4,'option=com_weblinks','View existing weblinks','com_weblinks',1,'js/ThemeOffice/edit.png',0,'',1),(6,'Categories','',0,4,'option=com_categories&section=com_weblinks','Manage weblink categories','',2,'js/ThemeOffice/categories.png',0,'',1),(7,'Contacts','option=com_contact',0,0,'','Edit contact details','com_contact',0,'js/ThemeOffice/component.png',1,'contact_icons=0\nicon_address=\nicon_email=\nicon_telephone=\nicon_fax=\nicon_misc=\nshow_headings=1\nshow_position=1\nshow_email=0\nshow_telephone=1\nshow_mobile=1\nshow_fax=1\nbannedEmail=\nbannedSubject=\nbannedText=\nsession=1\ncustomReply=0\n\n',1),(8,'Contacts','',0,7,'option=com_contact','Edit contact details','com_contact',0,'js/ThemeOffice/edit.png',1,'',1),(9,'Categories','',0,7,'option=com_categories&section=com_contact_details','Manage contact categories','',2,'js/ThemeOffice/categories.png',1,'contact_icons=0\nicon_address=\nicon_email=\nicon_telephone=\nicon_fax=\nicon_misc=\nshow_headings=1\nshow_position=1\nshow_email=0\nshow_telephone=1\nshow_mobile=1\nshow_fax=1\nbannedEmail=\nbannedSubject=\nbannedText=\nsession=1\ncustomReply=0\n\n',1),(10,'Polls','option=com_poll',0,0,'option=com_poll','Manage Polls','com_poll',0,'js/ThemeOffice/component.png',0,'',1),(11,'News Feeds','option=com_newsfeeds',0,0,'','News Feeds Management','com_newsfeeds',0,'js/ThemeOffice/component.png',0,'',1),(12,'Feeds','',0,11,'option=com_newsfeeds','Manage News Feeds','com_newsfeeds',1,'js/ThemeOffice/edit.png',0,'show_headings=1\nshow_name=1\nshow_articles=1\nshow_link=1\nshow_cat_description=1\nshow_cat_items=1\nshow_feed_image=1\nshow_feed_description=1\nshow_item_description=1\nfeed_word_count=0\n\n',1),(13,'Categories','',0,11,'option=com_categories&section=com_newsfeeds','Manage Categories','',2,'js/ThemeOffice/categories.png',0,'',1),(14,'User','option=com_user',0,0,'','','com_user',0,'',1,'',1),(15,'Search','option=com_search',0,0,'option=com_search','Search Statistics','com_search',0,'js/ThemeOffice/component.png',1,'enabled=0\n\n',1),(16,'Categories','',0,1,'option=com_categories&section=com_banner','Categories','',3,'',1,'',1),(17,'Wrapper','option=com_wrapper',0,0,'','Wrapper','com_wrapper',0,'',1,'',1),(18,'Mail To','',0,0,'','','com_mailto',0,'',1,'',1),(19,'Media Manager','',0,0,'option=com_media','Media Manager','com_media',0,'',1,'upload_extensions=bmp,csv,doc,epg,gif,ico,jpg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,EPG,GIF,ICO,JPG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\nupload_maxsize=10000000\nfile_path=images\nimage_path=images/stories\nrestrict_uploads=1\nallowed_media_usergroup=3\ncheck_mime=1\nimage_extensions=bmp,gif,jpg,png\nignore_extensions=\nupload_mime=image/jpeg,image/gif,image/png,image/bmp,application/x-shockwave-flash,application/msword,application/excel,application/pdf,application/powerpoint,text/plain,application/x-zip\nupload_mime_illegal=text/html\nenable_flash=0\n\n',1),(20,'Articles','option=com_content',0,0,'','','com_content',0,'',1,'show_noauth=0\nshow_title=1\nlink_titles=1\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_author=1\nshow_create_date=1\nshow_modify_date=1\nshow_item_navigation=0\nshow_readmore=1\nshow_vote=0\nshow_icons=1\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nshow_hits=1\nfeed_summary=0\nfilter_groups=29|18|19|20|21|30|23|24\nfilter_type=BL\nfilter_tags=\nfilter_attritbutes=\n\n',1),(21,'Configuration Manager','',0,0,'','Configuration','com_config',0,'',1,'',1),(22,'Installation Manager','',0,0,'','Installer','com_installer',0,'',1,'',1),(23,'Language Manager','',0,0,'','Languages','com_languages',0,'',1,'administrator=en-GB\nsite=en-GB\n\n',1),(24,'Mass mail','',0,0,'','Mass Mail','com_massmail',0,'',1,'mailSubjectPrefix=\nmailBodySuffix=\n\n',1),(25,'Menu Editor','',0,0,'','Menu Editor','com_menus',0,'',1,'',1),(27,'Messaging','',0,0,'','Messages','com_messages',0,'',1,'',1),(28,'Modules Manager','',0,0,'','Modules','com_modules',0,'',1,'',1),(29,'Plugin Manager','',0,0,'','Plugins','com_plugins',0,'',1,'',1),(30,'Template Manager','',0,0,'','Templates','com_templates',0,'',1,'',1),(31,'User Manager','',0,0,'','Users','com_users',0,'',1,'allowUserRegistration=1\nnew_usertype=Registered\nuseractivation=1\nfrontend_userparams=1\n\n',1),(32,'Cache Manager','',0,0,'','Cache','com_cache',0,'',1,'',1),(33,'Control Panel','',0,0,'','Control Panel','com_cpanel',0,'',1,'',1),(36,'Widgetkit','',0,0,'option=com_widgetkit','Widgetkit','com_widgetkit',0,'components/com_widgetkit/images/widgetkit_16.png',0,'',1);
DROP TABLE IF EXISTS `#__contact_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `imagepos` varchar(20) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__contact_details` VALUES (1,'John Q. Public','john-q-public','Chief Information Officer','1 Infinite Loop','Cupertino','California','USA','95014','1-212-555555-1','1-212-555555-2','Lorem ipsum dolor sit amet, consetetur sadipscing elitr.','',NULL,'email@0.0.0.0',0,1,62,'2012-01-19 13:18:12',1,'show_name=1\nshow_position=1\nshow_email=0\nshow_street_address=1\nshow_suburb=1\nshow_state=1\nshow_postcode=1\nshow_country=1\nshow_telephone=1\nshow_mobile=1\nshow_fax=1\nshow_webpage=1\nshow_misc=1\nshow_image=1\nallow_vcard=0\ncontact_icons=0\nicon_address=\nicon_email=\nicon_telephone=\nicon_mobile=\nicon_fax=\nicon_misc=\nshow_email_form=1\nemail_description=\nshow_email_copy=1\nbanned_email=\nbanned_subject=\nbanned_text=',0,2,0,'',''),(2,'Jane Q. Public','jane-q-public','Chief Information Officer','1 Infinite Loop','Cupertino','California','USA','95014','1-212-555555-1','1-212-555555-2','Lorem ipsum dolor sit amet, consetetur sadipscing elitr.','',NULL,'email@0.0.0.0',0,1,0,'0000-00-00 00:00:00',2,'show_name=1\nshow_position=1\nshow_email=0\nshow_street_address=1\nshow_suburb=1\nshow_state=1\nshow_postcode=1\nshow_country=1\nshow_telephone=1\nshow_mobile=1\nshow_fax=1\nshow_webpage=1\nshow_misc=1\nshow_image=1\nallow_vcard=0\ncontact_icons=0\nicon_address=\nicon_email=\nicon_telephone=\nicon_mobile=\nicon_fax=\nicon_misc=\nshow_email_form=1\nemail_description=\nshow_email_copy=1\nbanned_email=\nbanned_subject=\nbanned_text=',0,2,0,'','');
DROP TABLE IF EXISTS `#__content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__content` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `title_alias` varchar(255) NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `sectionid` int(11) unsigned NOT NULL DEFAULT '0',
  `mask` int(11) unsigned NOT NULL DEFAULT '0',
  `catid` int(11) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` text NOT NULL,
  `version` int(11) unsigned NOT NULL DEFAULT '1',
  `parentid` int(11) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(11) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_section` (`sectionid`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__content` VALUES (1,'my new office','my-new-office','','<img height=\"195\" width=\"195\" class=\"align-left\" alt=\"Demo Image\" src=\"images/yootheme/home_news2.jpg\" />\r\n<p>Subway theme brings you some nice custom features:</p>\r\n<p>Two new widgetkit styles for the Slideshow and the Gallery are included. Their design seamlessly fits into the theme.</p>\r\n<p>Also notice the fixed social toolbar, which appears if you hover the icon to the right of your browser window.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. </p>',1,2,0,4,'2012-03-05 12:31:45',62,'','2012-04-23 12:14:30',62,62,'2012-04-23 12:14:30','2012-03-05 12:31:45','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',45,0,2,'','',0,4180,'robots=\nauthor='),(2,'Features','features','','<p>This theme utilizes the latest features of the fast and slick Warp theme framework. It comes with a broad range of layout and <a href=\"index.php?option=com_content&amp;view=article&amp;id=1&amp;Itemid=3\">module variations</a> as well as a neat <a href=\"index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=4\">typography</a> to style your content. Read on to learn more about this theme and its features:</p>\r\n\r\n<ul class=\"check\">\r\n	<li>Available for Joomla and WordPress</li>\r\n	<li>13 style/color variations available</li>\r\n	<li>11 backgrounds and 2 animated backgrounds included</li>\r\n	<li>3 background textures combinable with each background</li>\r\n	<li>Choose from 11 fonts</li>\r\n	<li>2 module styles combinable with 4 colors, 4 badges and 6 icons</li>\r\n	<li>Choose between transparent or white background for system output</li>\r\n	<li>3 transparency values for modules and system output</li>\r\n	<li>Custom Widgetkit Styles for gallery and slideshow</li>\r\n	<li>Social Toolbar (optional)</li>\r\n	<li>Smooth CSS animations (optional)</li>\r\n	<li>Flexible template and column widths</li>\r\n	<li>All Warp framework features are available</li>\r\n</ul>\r\n\r\n<h2>Easy Installation and Customization</h2>\r\n<div class=\"box-content\">\r\n	<div class=\"grid-block grid-gutter\">\r\n		<div class=\"grid-box width50\">\r\n			<div>\r\n				<img class=\"align-left\" src=\"images/yootheme/features_icon_demo_package.png\" width=\"42\" height=\"46\" alt=\"Demo Packages\" />\r\n				<div class=\"bfc-o\">\r\n					<h3 class=\"remove-margin\">Demo Packages</h3>\r\n					<p class=\"remove-margin-b\">We provide demo packages with the theme sample data for Joomla and WordPress to get you started right.</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-box width50\">\r\n			<div>\r\n				<img class=\"align-left\" src=\"images/yootheme/features_icon_image_sources.png\" width=\"42\" height=\"42\" alt=\"Image Sources\" />\r\n				<div class=\"bfc-o\">\r\n					<h3 class=\"remove-margin\">Image Sources</h3>\r\n					<p class=\"remove-margin-b\">Sliced and editable Adobe Fireworks image source files are available to customize the theme easily.</p>\r\n				</div>\r\n			</div>\r\n		</div>\r\n	</div>\r\n</div>\r\n\r\n<h2>Theme Styles</h2>\r\n<p>We provide different style variations of the default theme. In addition to these styles we added several other style settings like colors and fonts. Combining the different style options allows you to create your own unique theme design.</p>\r\n<p><img class=\"size-auto\" src=\"images/yootheme/features_style_settings.png\" height=\"400\" width=\"720\" alt=\"Combinable Styles\" title=\"\" /></p>\r\n\r\n<h2>Theme Profiles</h2>\r\n<p>We created some nice theme profiles using the different styles, colors and fonts, you can choose from in the theme administration. You can create your own profiles and even assign them to different menu items. Click on one of the profile images to load it.</p>\r\n<div class=\"bfc-o text-center\">\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=default\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile01.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Default\" title=\"Load Profile Default\" />\r\n			<figcaption>Gradient Blue</figcaption>\r\n		</figure>\r\n	</a>\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=ambientpink\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile02.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Ambient Pink\" title=\"Load Profile Ambient Pink\" />\r\n			<figcaption>Ambient Pink</figcaption>\r\n		</figure>\r\n	</a>\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=street\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile03.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Street\" title=\"Load Profile Street\" />\r\n			<figcaption>Street</figcaption>\r\n		</figure>\r\n	</a>\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=animatedred\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile04.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Animated Red\" title=\"Load Profile Animated Red\" />\r\n			<figcaption>Animated Red</figcaption>\r\n		</figure>\r\n	</a>\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=wood\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile05.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Wood\" title=\"Load Profile Wood\" />\r\n			<figcaption>Wood</figcaption>\r\n		</figure>\r\n	</a>\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=ambientturquoise\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile06.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Ambient Turquoise\" title=\"Load Profile Ambient Turquoise\" />\r\n			<figcaption>Ambient Turquoise</figcaption>\r\n		</figure>\r\n	</a>\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=gradientgrey\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile07.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Gradient Grey\" title=\"Load Profile Gradient Grey\" />\r\n			<figcaption>Gradient Grey</figcaption>\r\n		</figure>\r\n	</a>\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=grass\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile08.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Grass\" title=\"Load Profile Grass\" />\r\n			<figcaption>Grass</figcaption>\r\n		</figure>\r\n	</a>\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=bridge\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile09.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Bridge\" title=\"Load Profile Bridge\" />\r\n			<figcaption>Bridge</figcaption>\r\n		</figure>\r\n	</a>\r\n	<a class=\"align-left\" href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2&amp;profile=animated\">\r\n		<figure class=\"remove-margin\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_profile10.jpg\" width=\"200\" height=\"150\" alt=\"Load Profile Animated\" title=\"Load Profile Aminated\" />\r\n			<figcaption>Animated Blue</figcaption>\r\n		</figure>\r\n	</a>\r\n</div>\r\n\r\n<h2>Theme Layout</h2>\r\n<p>This theme comes with the default Warp6 module layout, except an additional fixed position called \"socialbar\". The blue module positions allow to choose a module layout which defines the module alignment and proportions: <em>equal</em>, <em>double</em> or <em>stack</em>. You can easily add your own module layouts. The two available sidebars, highlighted in red, can be switched to the left or right side and their widths can easily be set in the theme administration. For modules in the blue and red positions you can choose different module styles. Take a look at the <a href=\"index.php?option=com_content&amp;view=article&amp;id=1&amp;Itemid=3\">module variations</a> page to get an overview.</p>\r\n\r\n<div class=\"grid-block\">\r\n	<div class=\"grid-box width50\">\r\n		<figure class=\"remove-margin\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_module_positions.png\" width=\"300\" height=\"414\" alt=\"Module Positions\" title=\"Module Positions\" />\r\n			<figcaption>Module Positions</figcaption>\r\n		</figure>\r\n	</div>\r\n	<div class=\"grid-box width50\">\r\n		<figure class=\"remove-margin-t\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_module_layouts.png\" width=\"300\" height=\"202\" alt=\"Module Layouts\" title=\"Module Layouts\" />\r\n			<figcaption>Module Layouts</figcaption>\r\n		</figure>\r\n		<figure class=\"remove-margin-b\">\r\n			<img class=\"size-auto\" src=\"images/yootheme/features_column_layouts.png\" width=\"300\" height=\"172\" alt=\"Colum Layouts\" title=\"Column Layouts\" />\r\n			<figcaption>Column Layouts</figcaption>\r\n		</figure>\r\n	</div>\r\n</div>','',1,0,0,0,'2011-02-13 17:03:25',62,'','2012-04-20 07:54:00',62,0,'0000-00-00 00:00:00','2011-02-13 17:03:25','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',58,0,16,'','',0,431,'robots=\nauthor='),(3,'Warp Theme Framework','warp-theme-framework','','<p><a href=\"index.php?option=com_content&amp;view=article&amp;id=3:warp-theme-framework&amp;catid=1:blog&amp;Itemid=21\"><img class=\"size-auto\" width=\"760\" height=\"300\" alt=\"Warp Theme Framework\" title=\"Warp Theme Framework\" src=\"images/yootheme/blog_warp.jpg\" /></a></p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>',1,1,0,1,'2011-03-15 13:55:07',62,'','2011-05-09 18:34:56',62,0,'0000-00-00 00:00:00','2011-03-15 13:55:07','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',11,0,3,'','',0,17,'robots=\nauthor='),(4,'Beautiful Icons','beautiful-icons','','<p><a href=\"index.php?option=com_content&amp;view=article&amp;id=4:beautiful-icons&amp;catid=1:blog&amp;Itemid=21\"><img class=\"size-auto\" width=\"760\" height=\"300\" alt=\"Beautiful and handcrafted icons for web and print projects\" title=\"Beautiful and handcrafted icons for web and print projects\" src=\"images/yootheme/blog_icons.jpg\" /></a></p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>',1,1,0,1,'2011-03-20 13:56:08',62,'','2011-05-09 18:35:04',62,0,'0000-00-00 00:00:00','2011-03-20 13:56:08','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',14,0,2,'','',0,39,'robots=\nauthor='),(5,'ZOO Extension','zoo-extension','','<p><img class=\"size-auto\" width=\"760\" height=\"300\" alt=\"ZOO is a flexible and powerful content application builder to manage your content\" title=\"ZOO is a flexible and powerful content application builder to manage your content\" src=\"images/yootheme/blog_zoo.png\" /></p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>',1,1,0,1,'2011-02-28 13:57:44',62,'','2011-05-09 18:34:51',62,0,'0000-00-00 00:00:00','2011-02-28 13:57:44','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',23,0,4,'','',0,37,'robots=\nauthor='),(6,'Free Social Icons','free-social-icons','','<p><a href=\"index.php?option=com_content&amp;view=article&amp;id=6:free-social-icons&amp;catid=1:blog&amp;Itemid=21\"><img class=\"size-auto\" width=\"760\" height=\"300\" alt=\"Free Social Icons Set\" title=\"Free Social Icons Set\" src=\"images/yootheme/blog_social_icons.jpg\" /></a></p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>',1,1,0,1,'2011-01-14 13:58:48',62,'','2011-05-09 18:34:28',62,0,'0000-00-00 00:00:00','2011-01-14 13:58:48','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',12,0,5,'','',0,61,'robots=\nauthor='),(14,'Widgetkit','widgetkit','','<p>Widgetkit is the next generation tool set for Joomla and WordPress. This toolkit is the first of its kind! It provides a simple and user-friendly way to enrich your websites experience with slideshows, galleries, lightboxes and much more. All widgets make use of modern web technologies like HTML5 markup, CSS3 features and jQuery based JavaScripts. Widgetkit also works on iPads, iPhones and Android phones or tablets. It supports touch gestures and makes use of smooth CSS3 animations. Here is a short feature roundup:</p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Available for Joomla and WordPress</li>\r\n	<li>All widgets can work stand-alone</li>\r\n	<li>Use shortcodes to show widgets anywhere</li>\r\n	<li>Clean and lightweight code</li>\r\n	<li>Semantic HTML5 markup</li>\r\n	<li>Asset file Minification and Compression</li>\r\n	<li>Supports touch gestures for mobile devices</li>\r\n	<li>Uses hardware accelerated CSS3 animations</li>\r\n	<li>Built with HTML5, CSS3, PHP 5.2+, latest jQuery version</li>\r\n</ul>\r\n\r\n<h2>How It Works</h2>\r\n\r\n<p>Widgetkit basically acts as a platform for all our widgets. It installs as a single component in Joomla or as a plugin in WordPress. The Widgetkit dashboard presents you an overview of all widgets. You can create, edit or delete all widgets and their content in one place. And after you have created the content for your first widget you can either use a shortcode or a module to display your widget anywhere on your website. In fact you can do both because once have you created a widget you are able to display it multiple times and reuse it on different parts of your website.</p>\r\n\r\n<a class=\"button-more\" href=\"http://www.yootheme.com/widgetkit\" target=\"_blank\">Visit Website</a>','',1,0,0,0,'2011-06-08 10:58:46',62,'','2012-02-13 15:21:14',62,0,'0000-00-00 00:00:00','2011-06-08 10:58:46','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',7,0,10,'','',0,65,'robots=\nauthor='),(8,'Dummy Content','dummy-content','','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.','',1,0,0,0,'2011-02-18 11:09:04',62,'','0000-00-00 00:00:00',0,62,'2011-05-02 11:45:53','2011-02-18 11:09:04','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',1,0,15,'','',0,223,'robots=\nauthor='),(7,'Joomla Templates','joomla-templates','','<p><a href=\"index.php?option=com_content&amp;view=article&amp;id=7:joomla-templates&amp;catid=1:blog&amp;Itemid=21\"><img class=\"size-auto\" width=\"760\" height=\"300\" alt=\"Joomla Templates and WordPress Themes\" title=\"Joomla Templates and WordPress Themes\" src=\"images/yootheme/blog_themes.jpg\" /></a></p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>',1,1,0,1,'2011-04-12 13:55:07',62,'','2011-05-09 18:35:11',62,0,'0000-00-00 00:00:00','2011-04-12 13:55:07','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',17,0,1,'','',0,66,'robots=\nauthor='),(9,'Typography','typography','','<p>You can create some beautiful content by using some simple HTML elements. The Warp theme framework offers some neat styles for all HTML elements and a great set of CSS classes to style your content. Basic HTML is very easy to learn and this small guide shows you how to use all styles provided by the Warp framework.</p>\r\n\r\n<h2>Basic HTML Elements</h2>\r\n\r\n<p>Here is a short demonstration of text-level semanticts. The &lt;p&gt; element creates a new paragraph. It will have some space before and after itself. To turn your text into hypertext just use the <a href=\"#\">&lt;a&gt; element</a>.</p>\r\n\r\n<h3>Text-Level Semantics</h3>\r\n\r\n<p>You can emphasize text using the <em>&lt;em&gt; element</em> or to imply any extra importance the <strong>&lt;strong&gt; element</strong>. Highlight text with no semantic meaning using the <mark>&lt;mark&gt; element</mark>. Markup document changes like inserted or deleted text with the <del>&lt;del&gt; element</del> or <ins>&lt;ins&gt; element</ins>. To define an abbreviation use the <abbr title=\"Abbreviation Element\">&lt;abbr&gt; element</abbr> and to define a definition term use the <dfn title=\"Defines a definition term\">&lt;dfn&gt; element</dfn>.</p>\r\n\r\n<h3>Short List with Links</h3>\r\n\r\n<ul>\r\n	<li><a href=\"http://www.yootheme.com\" target=\"_blank\">YOOtheme</a> - Premium Joomla Templates and WordPress Themes</li>\r\n	<li><a href=\"http://www.yootheme.com/warp\" target=\"_blank\">Warp Framework</a> - Fast and Slick Theme Framework</li>\r\n	<li><a href=\"http://www.yootheme.com/zoo\" target=\"_blank\">ZOO</a> - Content Application Builder</li>\r\n	<li><a href=\"http://www.yootheme.com/icons\" target=\"_blank\">Stock Icons</a> - For Web and Print Projects</li>\r\n</ul>\r\n\r\n<h3>Quotations and Code</h3>\r\n\r\n<p>Inline quotations can be defined by using the <q>&lt;q&gt; element</q>.</p>\r\n\r\n<blockquote>The &lt;blockquote&gt; element defines a long quotation which also creates a new block by inserting white space before and after the blockquote element.</blockquote>\r\n\r\n<p>To define a short inline computer code use the <code>&lt;code&gt; element</code>. For a larger code snippet use the &lt;pre&gt; element which defines preformatted text. It creates a new text block which preserves both spaces and line breaks.</p>\r\n\r\n<pre>\r\npre {\r\n    margin: 15px 0;\r\n    padding: 10px;\r\n    font-family: \"Courier New\", Courier, monospace;\r\n    font-size: 12px;\r\n    line-height: 18px;\r\n    white-space: pre-wrap;\r\n}\r\n</pre>\r\n\r\n<small>Use the &lt;small&gt; element for side comments and small print.</small>\r\n\r\n<hr />\r\n\r\n<h2>Useful CSS Classes</h2>\r\n\r\n<p>Here is a short demonstration of all style related CSS classes provided by the Warp framework.</p>\r\n\r\n<h3>Highlight Content</h3>\r\n\r\n<p class=\"dropcap\">Drop caps are the first letter of a paragraph which are displayed bigger than the rest of the text. You can create a drop cap using the CSS class <code>dropcap</code>. To emphasize text with some small boxes use <em class=\"box\">&lt;em&gt; element</em> with the CSS class <code>box</code>.</p>\r\n\r\n<div class=\"box-content\">This simple box is intended to group large parts of your content using the CSS class <code>box-content</code>.</div>\r\n<div class=\"box-note\">This is a simple box to highlight some text using the CSS class <code>box-note</code>.</div>\r\n<div class=\"box-info\">This is a simple box with useful information using the CSS class <code>box-info</code>.</div>\r\n<div class=\"box-warning\">This is a simple box with important notes and warnings using the CSS class <code>box-warning</code>.</div>\r\n<div class=\"box-hint\">This is a simple box with additional hints using the CSS class <code>box-hint</code>.</div>\r\n<div class=\"box-download\">This is a simple box with download information using the CSS class <code>box-download</code>.</div>\r\n\r\n<p>Use the CSS class <code>dotted</code> to create a dotted horizontal rule.</p>\r\n\r\n<hr class=\"dotted\" />\r\n\r\n<h3>Tables</h3>\r\n\r\n<p>Create a zebra stripped table using using the CSS class <code>zebra</code>.</p>\r\n\r\n<table class=\"zebra\">\r\n	<caption>Table caption</caption>\r\n	<thead>\r\n		<tr>\r\n			<th>Table Heading</th>\r\n			<th>Table Heading</th>\r\n			<th class=\"center\">Table Heading</th>\r\n		</tr>\r\n	</thead>\r\n	<tfoot>\r\n		<tr>\r\n			<td>Table Footer</td>\r\n			<td>Table Footer</td>\r\n			<td class=\"center\">Table Footer</td>\r\n		</tr>\r\n	</tfoot>\r\n	<tbody>\r\n		<tr class=\"odd\">\r\n			<td>Table Data</td>\r\n			<td>Table Data</td>\r\n			<td class=\"center\">Data Centered</td>\r\n		</tr>\r\n		<tr>\r\n			<td class=\"bold\">Data Bold</td>\r\n			<td>Table Data</td>\r\n			<td class=\"center\">Data Centered</td>\r\n		</tr>\r\n		<tr class=\"odd\">\r\n			<td>Table Data</td>\r\n			<td>Table Data</td>\r\n			<td class=\"center\">Data Centered</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<h3>Definition Lists</h3>\r\n\r\n<p>Create a nice looking definition list separated with a line by using the CSS class <code>separator</code>.</p>\r\n\r\n<dl class=\"separator\">\r\n	<dt>Definition List</dt>\r\n	<dd>A definition list is a list of terms and corresponding definitions. To create a definition list use the &lt;dl&gt; element in conjunction with &lt;dt&gt; to define the definition term and &lt;dd&gt; to define the definition description.</dd>\r\n	<dt>Definition Term</dt>\r\n	<dd>This is a definition description.</dd>\r\n	<dt>Definition Term</dt>\r\n	<dd>This is a definition description.</dd>\r\n	<dd>This is another definition description.</dd>\r\n</dl>\r\n\r\n<h3>Forms</h3>\r\n\r\n<p>Create a clearly arranged form layout with fieldset boxes using the CSS class <code>box</code>.</p>\r\n\r\n<form action=\"#\" class=\"box style\">\r\n\r\n	<fieldset>\r\n		<legend>Form legend</legend>\r\n		<div><label for=\"f1\">Text input:</label> <input type=\"text\" value=\"input text\" id=\"f1\"/></div>\r\n		<div><label for=\"f2\">Radio input:</label> <input type=\"radio\" id=\"f2\"/></div>\r\n		<div><label for=\"f3\">Checkbox input:</label> <input type=\"checkbox\" id=\"f3\"/></div>\r\n		<div><label for=\"f4\">Select field:</label> <select id=\"f4\"><option>Option 01</option><option>Option 02</option></select></div>\r\n		<div><label for=\"f5\">Textarea:</label><br/><textarea rows=\"5\" cols=\"30\" id=\"f5\">Textarea text</textarea></div>\r\n	</fieldset>\r\n	\r\n	<button>Button</button> <input type=\"button\" value=\"Input Button\" />\r\n	\r\n</form>','',1,0,0,0,'2011-02-20 14:42:51',62,'','2011-11-18 09:08:14',62,0,'0000-00-00 00:00:00','2011-02-20 14:42:51','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',56,0,14,'','',0,1002,'robots=\nauthor='),(10,'ZOO','zoo','','<a class=\"align-right\" data-lightbox=\"width:852;height:480;autoplay:true;\" href=\"http://www.yootheme.com/videos/zoo_video_tour.mp4\"><img class=\"size-auto\" src=\"images/yootheme/zoo_video_tour.png\" width=\"250\" height=\"110\" alt=\"Take the video tour on the ZOO!\" title=\"Take the video tour on the ZOO!\" /></a>\r\n\r\n<p>ZOO is a flexible and powerful content application builder to manage your content. It provides a much improved Joomla experience. The key feature is the ability to create your very own custom content types. You define what a type is made up of - e.g. text, images or a file download. Any combination is imaginable! You bring the content, ZOO brings the elements to structure it and make it look good!</p>\r\n\r\n<h2>Apps for every Purpose</h2>\r\n\r\n<p>ZOO moves from simply being a CCK to an Application Builder. Apps are extensions for ZOO which are optimized for different purposes and types of content catalogs. ZOO offers a wide range of apps to get you started right away. There is a blog, a product catalog, a cookbook, a business directory, a documentation, a download archive and a movie database app!</p>\r\n\r\n<img class=\"size-auto align-center\" src=\"images/yootheme/zoo_apps.png\" width=\"635\" height=\"219\" alt=\"ZOO Apps for every Purpose\" title=\"ZOO Apps for every Purpose\" />\r\n\r\n<h2>Joomla Integration</h2>\r\n\r\n<p>By now ZOO has developed a thriving ecosystem, with new ZOO extensions appearing regularly. It also integrates well with many popular Joomla extensions. Besides the ZOO component itself offers additional modules and plugins. They allow a seamless integration into Joomla and provide a richer tool set to create your website.</p>\r\n\r\n<a class=\"button-more\" href=\"http://www.yootheme.com/zoo\" target=\"_blank\">Visit Website</a>','',1,0,0,0,'2011-04-27 17:37:31',62,'','2012-02-13 15:21:07',62,0,'0000-00-00 00:00:00','2011-04-27 17:37:31','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',28,0,13,'','',0,172,'robots=\nauthor='),(11,'Icons','icons','','<p>YOOtheme is a well-known template and extension provider for Joomla and WordPress who helps you to create professional websites. But to make your website or interface design a real eye-catcher we had one thing missing: Icons! Icons are an essential tool to simplify user interfaces and today almost every major website uses icons to highlight important parts in their content.</p>\r\n\r\n<p>This is why we created a great resource of beautiful and handcrafted icons for web and print projects. We got commercial icon sets including e-commerce, community, file and folder icons and many more as well as many freebies.</p>\r\n\r\n<div class=\"box-content bfc-o\">\r\n\r\n	<img class=\"size-auto align-left\" width=\"300\" height=\"282\" src=\"images/yootheme/icons_club.png\"/>\r\n\r\n	<div class=\"bfc-o\">\r\n\r\n		<h2 style=\"margin-top: 0;\">Club Icons</h2>\r\n\r\n		<p>As a member of our icon club you will get access to hundreds of handcrafted and detailed icons. New icon sets are added continuously!</p>\r\n		<ul class=\"check\">\r\n			<li>Pixel perfect design</li>\r\n			<li>PNGs in 8 sizes from 16x16 to 512x512 pixels</li>\r\n			<li>Handmade and optimized for each size</li>\r\n			<li>Editable vector PDF sources</li>\r\n			<li>Change the colors and customize easily</li>\r\n		</ul>\r\n\r\n		<p><a class=\"button-more\" href=\"http://www.yootheme.com/icons\" target=\"_blank\">Visit Website</a></p>\r\n\r\n	</div>\r\n\r\n</div>','',1,0,0,0,'2011-04-27 19:23:19',62,'','2011-05-09 18:38:04',62,0,'0000-00-00 00:00:00','2011-04-27 19:23:19','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',12,0,12,'','',0,179,'robots=\nauthor='),(13,'Module Variations','module-variations','','<p>This theme comes with different module styles, badges and icons. For each module you can pick a style and combine it with an icon or badge to create your own unique look. Here is a list of the available options:</p>\r\n\r\n<table class=\"zebra\">\r\n	<tbody>\r\n		<tr class=\"odd\">\r\n			<td class=\"bold\">Styles</td>\r\n			<td>Box</td>\r\n		</tr>\r\n		<tr>\r\n			<td class=\"bold\">Colors</td>\r\n			<td>transparent, color1, color2</td>\r\n		</tr>\r\n		<tr class=\"odd\">\r\n			<td class=\"bold\">Badges</td>\r\n			<td>Hot, New, Free, Top</td>\r\n		</tr>\r\n		<tr>\r\n			<td class=\"bold\">Icons</td>\r\n			<td>Download, Twitter, Mail, Bubble, Login, Cart</td>\r\n		</tr>\r\n	</tbody>\r\n</table>','',1,0,0,0,'2011-04-29 12:54:14',62,'','2012-04-20 08:45:32',62,0,'0000-00-00 00:00:00','2011-04-29 12:54:14','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',6,0,11,'','',0,474,'robots=\nauthor='),(15,'Slideshow','slideshow','','<p>The Widgetkit Slideshow is the ultimate image and content slideshow for Joomla and WordPress. It\'s flexible, easy to customize and completely build with HTML5 and CSS3. </p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Clean and very lightweight code</li>\r\n	<li>17 eye-catching transition effects</li>\r\n	<li>Uses hardware accelerated CSS3 animations</li>\r\n	<li>JavaScript animation fallback for all Internet Explorers</li>\r\n	<li>Support for HTML captions</li>\r\n	<li>Swipe navigation on mobile phones</li>\r\n	<li>Built with HTML5, CSS3, PHP 5.2+, and the latest jQuery version</li>\r\n	<li>Works with Joomla and WordPress</li>\r\n</ul>\r\n\r\n<h2>Slideshow Screen Example</h2>\r\n<p>This is an image slideshow with the famous Ken Burns effect.</p>\r\n[widgetkit id=45]\r\n\r\n<h2>Slideshow Default Example</h2>\r\n<p>This is an image slideshow with eye-catching transition effects.</p>\r\n[widgetkit id=10]\r\n\r\n<h2>Showcase Box Example</h2>\r\n<p>This a content showcase using all the features from the Slideset widget as navigation. Any kind of HTML content can be used in the navigation.</p>\r\n[widgetkit id=37]\r\n\r\n<h2>Showcase Button Example</h2>\r\n<p>This is an image slideshow with some nice navigation buttons. You can place any kind of HTML in the navigation buttons.</p>\r\n[widgetkit id=41]\r\n\r\n<h2>Tabs Example</h2>\r\n<p>This is a classic, tabbed slideshow. Tabs can be aligned to the left, right and center.</p>\r\n[widgetkit id=35]\r\n\r\n<h2>Tabs Bar Example</h2>\r\n<p>This is a slideshow with a tabbed navigation bar. Tabs can be aligned to the left, right and center.</p>\r\n[widgetkit id=34]\r\n\r\n<h2>List Example</h2>\r\n<p>This is a slideshow with a vertical tabbed list as navigation.</p>\r\n[widgetkit id=36]\r\n\r\n<h2>How To Use</h2>\r\n\r\n<p>The Widgetkit Slideshow takes full advantage of the very user-friendly Widgetkit administration user interface. It has never been easier to create and manage all the slideshows and their different slides in one place. After you created a slideshow you can load it anywhere in your theme using shortcodes or the universal Widgetkit Joomla module or WordPress widget.</p>','',1,0,0,0,'2011-06-08 10:59:20',62,'','2012-02-03 08:19:01',62,0,'0000-00-00 00:00:00','2011-06-08 10:59:20','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',7,0,9,'','',0,46,'robots=\nauthor='),(16,'Lightbox','lightbox','','<p>The Widgetkit Lightbox allows you to view images, HTML and multi-media content on a dark dimmed overlay without having to leave the current page.</p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Display images, videos, HTML, Iframes, Ajax requests and SWF</li>\r\n	<li>Supports YouTube, Vimeo, MP4 (h.264), WebM and FLV movies</li>\r\n	<li>Group lightboxes and mix different content types</li>\r\n	<li>Responsive design to fit images great on mobile devices</li>\r\n	<li>Load other widgets in lightbox</li>\r\n	<li>3 different opening and closing transitions</li>\r\n	<li>4 different caption styles</li>\r\n	<li>Keyboard and mouse scroll wheel navigation</li>\r\n	<li>Build on the latest jQuery version</li>\r\n	<li>Works with Joomla and WordPress</li>\r\n</ul>\r\n\r\n<h2>Examples</h2>\r\n\r\n<p>Different animations - <code>fade</code>, <code>elastic</code> and <code>none</code></p>\r\n<p class=\"gallery\">\r\n	<a data-lightbox=\"transitionIn:fade;transitionOut:fade;\" href=\"images/yootheme/widgetkit/lightbox/image1_lightbox.jpg\"><img src=\"images/yootheme/widgetkit/lightbox/image1.jpg\" width=\"180\" height=\"120\" alt=\"Lightbox Image\" /></a>\r\n	<a data-lightbox=\"transitionIn:elastic;transitionOut:elastic;\" href=\"images/yootheme/widgetkit/lightbox/image2_lightbox.jpg\"><img src=\"images/yootheme/widgetkit/lightbox/image2.jpg\" width=\"180\" height=\"120\" alt=\"Lightbox Image\" /></a>\r\n	<a data-lightbox=\"transitionIn:none;transitionOut:none;\" href=\"images/yootheme/widgetkit/lightbox/image3_lightbox.jpg\"><img src=\"images/yootheme/widgetkit/lightbox/image3.jpg\" width=\"180\" height=\"120\" alt=\"Lightbox Image\" /></a>\r\n</p>\r\n\r\n<p>Different title positions - <code>float</code>, <code>inside</code> and <code>over</code></p>\r\n<p class=\"gallery\">\r\n	<a data-lightbox=\"group:mygroup1;titlePosition:float\" href=\"images/yootheme/widgetkit/lightbox/image4_lightbox.jpg\" title=\"Title Position: Float\"><img src=\"images/yootheme/widgetkit/lightbox/image4.jpg\" width=\"180\" height=\"120\" alt=\"Lightbox Image\" /></a>\r\n	<a data-lightbox=\"group:mygroup1;titlePosition:inside\" href=\"images/yootheme/widgetkit/lightbox/image5_lightbox.jpg\" title=\"Title Position: Inside\"><img src=\"images/yootheme/widgetkit/lightbox/image5.jpg\" width=\"180\" height=\"120\" alt=\"Lightbox Image\" /></a>\r\n	<a data-lightbox=\"group:mygroup1;titlePosition:over;padding:0\" href=\"images/yootheme/widgetkit/lightbox/image6_lightbox.jpg\" title=\"Title Position: Over and Padding set to 0\"><img src=\"images/yootheme/widgetkit/lightbox/image6.jpg\" width=\"180\" height=\"120\" alt=\"Lightbox Image\" /></a>\r\n</p>\r\n\r\n<p>Various examples in one gallery (try also using the keyboard and mouse scroll wheel)</p>\r\n<ul>\r\n	<li><a data-lightbox=\"group:mygroup2\" href=\"http://www.youtube.com/watch?v=R55e-uHQna0\" title=\"YouTube Video\">YouTube</a></li>\r\n	<li><a data-lightbox=\"group:mygroup2\" href=\"http://vimeo.com/15261921\" title=\"Vimeo Video\">Vimeo</a></li>\r\n	<li><a data-lightbox=\"group:mygroup2;autoplay:true;\" href=\"http://www.yootheme.com/videos/mediaplayer.mp4\" title=\"MP4 (h.264)\">MP4 (h.264)</a></li>\r\n	<li><a data-lightbox=\"group:mygroup2\" href=\"http://www.adobe.com/jp/events/cs3_web_edition_tour/swfs/perform.swf\" title=\"Flash Swf\">Swf</a></li>\r\n	<li><a data-lightbox=\"group:mygroup2\" href=\"#inline\" title=\"Inline Content from the Website\">Inline</a></li>\r\n	<li><a data-lightbox=\"group:mygroup2;width:1000;height:600\" title=\"Iframe\" href=\"http://www.wikipedia.org\">Iframe</a></li>\r\n</ul>\r\n\r\n<div style=\"display: none;\">\r\n	<div id=\"inline\" style=\"width: 400px; height: 100px; overflow: auto;\">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</div>\r\n</div>\r\n\r\n<h2>Load Widgets In A Lightbox</h2>\r\n<p>Use <code>#wk-ID</code> to load widgets like slideshows or galleries in a lightbox. For example: <a data-lightbox=\"width:600;height:300;\" href=\"#wk-50\" title=\"Widgetkit Slideshow\">Widgetkit Slideshow</a></p>\r\n<pre>&lt;a data-lightbox=&quot;width:600;height:300;&quot; href=&quot;#wk-10&quot;&gt;Lightbox&lt;/a&gt;</pre>\r\n\r\n<h2>How To Use</h2>\r\n\r\n<p>Use the HTML5 custom data attribute <code>data-lightbox</code> to activate the lightbox. You can set various lightbox parameters to the data attribute. For example:</p>\r\n\r\n<pre>&lt;a data-lightbox=&quot;width:1000;height:600;&quot; href=&quot;http://www.wikipedia.org&quot;&gt;Lightbox&lt;/a&gt;</pre>\r\n\r\n<p>Here is a list of the most common parameters:</p>\r\n\r\n<ul>\r\n	<li><strong>titlePosition</strong> - How should the title show up? (<code>float</code>, <code>outside</code>, <code>inside</code> or <code>over</code>)</li>\r\n	<li><strong>transitionIn</strong> - Set a opening transition. (<code>fade</code>, <code>elastic</code>, or <code>none</code>)</li>\r\n	<li><strong>transitionOut</strong> - Set a closing transition (<code>fade</code>, <code>elastic</code>, or <code>none</code>)</li>\r\n	<li><strong>overlayShow</strong> - Set to <code>true</code> or <code>false</code></li>\r\n	<li><strong>scrolling</strong> - Set to <code>yes</code> or <code>no</code></li>\r\n	<li><strong>width</strong> - Set a width in pixel</li>\r\n	<li><strong>height</strong> - Set a height in pixel</li>\r\n	<li><strong>padding</strong> - Set a padding in pixel</li>\r\n</ul>','',1,0,0,0,'2011-06-08 11:00:03',62,'','2012-02-02 14:32:18',62,0,'0000-00-00 00:00:00','2011-06-08 11:00:03','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',5,0,8,'','',0,18,'robots=\nauthor='),(17,'Spotlight','spotlight','','<p>The Widgetkit Spotlight allows you to add an overlay to your images which fades or moves in on mouse hover. The overlay can be an image or HTML content. The default magnifier spotlight is a perfect match to be used with a lightbox.</p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Create nicely animated image overlays</li>\r\n	<li>Supports custom image or HTML content overlays</li>\r\n	<li>5 different animation modes</li>\r\n    <li>Built with the latest jQuery version</li>\r\n	<li>Works with Joomla and WordPress</li>\r\n</ul>\r\n\r\n<h2>Examples</h2>\r\n\r\n<p>If no custom overlay is set the default spotlight fades in an overlay with an magnifier image. If you define a custom overlay you can choose between different animations - <code>fade</code>, <code>bottom</code>, <code>top</code>, <code>right</code> and <code>left</code>.</p>\r\n\r\n<div>\r\n	<a data-spotlight=\"on\" data-lightbox=\"transitionIn:elastic;transitionOut:elastic;\" href=\"images/yootheme/widgetkit/lightbox/image1_lightbox.jpg\">\r\n		<img src=\"images/yootheme/widgetkit/lightbox/image1.jpg\" width=\"180\" height=\"120\" alt=\"Spotlight Image\" />\r\n	</a>\r\n	<a data-spotlight=\"effect:bottom;\" data-lightbox=\"transitionIn:elastic;transitionOut:elastic;\" href=\"images/yootheme/widgetkit/lightbox/image2_lightbox.jpg\">\r\n		<img src=\"images/yootheme/widgetkit/lightbox/image2.jpg\" width=\"180\" height=\"120\" alt=\"Spotlight Image\" />\r\n		<div class=\"overlay\">Custom Overlay (Bottom)</div>\r\n	</a>\r\n	<a data-spotlight=\"effect:right;\" data-lightbox=\"transitionIn:elastic;transitionOut:elastic;\" href=\"images/yootheme/widgetkit/lightbox/image3_lightbox.jpg\">\r\n		<img src=\"images/yootheme/widgetkit/lightbox/image3.jpg\" width=\"180\" height=\"120\" alt=\"Spotlight Image\" />\r\n		<div class=\"overlay\">Custom Overlay (Right)</div>\r\n	</a>\r\n</div>\r\n\r\n<div>\r\n	<a data-spotlight=\"effect:fade;\" data-lightbox=\"transitionIn:elastic;transitionOut:elastic;\" href=\"images/yootheme/widgetkit/lightbox/image4_lightbox.jpg\">\r\n		<img src=\"images/yootheme/widgetkit/lightbox/image4.jpg\" width=\"180\" height=\"120\" alt=\"Spotlight Image\" />\r\n		<div class=\"overlay\"><img src=\"images/yootheme/widgetkit/lightbox/image4_spotlight.jpg\" width=\"180\" height=\"120\" alt=\"Spotlight Image\" /></div>\r\n	</a>\r\n	<a data-spotlight=\"effect:top;\" data-lightbox=\"transitionIn:elastic;transitionOut:elastic;\" href=\"images/yootheme/widgetkit/lightbox/image5_lightbox.jpg\">\r\n		<img src=\"images/yootheme/widgetkit/lightbox/image5.jpg\" width=\"180\" height=\"120\" alt=\"Spotlight Image\" />\r\n		<div class=\"overlay\">Custom Overlay (Top)</div>\r\n	</a>\r\n	<a data-spotlight=\"effect:left;\" data-lightbox=\"transitionIn:elastic;transitionOut:elastic;\" href=\"images/yootheme/widgetkit/lightbox/image6_lightbox.jpg\">\r\n		<img src=\"images/yootheme/widgetkit/lightbox/image6.jpg\" width=\"180\" height=\"120\" alt=\"Spotlight Image\" />\r\n		<div class=\"overlay\">Custom Overlay (Left)</div>\r\n	</a>\r\n</div>\r\n\r\n<h2>How To Use</h2>\r\n\r\n<p>Use the HTML5 custom data attribute <code>data-spotlight</code> to activate the spotlight.\r\n\r\n<pre>&lt;a data-spotlight=\"on\" href=\"/mypage.html\"&gt;\r\n	&lt;img src=\"/image.jpg\" width=\"180\" height=\"120\" alt=\"\" /&gt;\r\n&lt;/a&gt;</pre>\r\n\r\n<p>To create a custom overlay use a div element with the CSS class <code>overlay</code>. You can set the effect parameter to the data attribute. For example:</p>\r\n\r\n<pre>&lt;a data-spotlight=\"effect:bottom;\" href=\"/mypage.html\"&gt;\r\n	&lt;img src=\"/image.jpg\" width=\"180\" height=\"120\" alt=\"\" /&gt;\r\n	&lt;div class=\"overlay\"&gt;Custom Overlay&lt;/div&gt;\r\n&lt;/a></pre>\r\n\r\n<p>You can set the effect parameter to <code>fade</code>, <code>bottom</code>, <code>top</code>, <code>right</code> and <code>left</code>.','',1,0,0,0,'2011-06-08 11:00:35',62,'','2011-08-02 14:22:50',62,0,'0000-00-00 00:00:00','2011-06-08 11:00:35','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',4,0,7,'','',0,10,'robots=\nauthor='),(18,'Twitter','twitter','','<p>The Widgetkit Twitter module is the neatest way to display tweets directly on your website. All displayed tweets get cached so they show up super fast, even if Twitter is not available.</p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Filter tweets by hashtags, words, from users, to users, referencing users</li>\r\n	<li>Block tweets using a blacklist</li>\r\n	<li>Tweets are cached for high performance</li>\r\n	<li>Tweets show up even if Twitter is not available</li>\r\n	<li>3 different styles to show your tweets</li>\r\n    <li>Built with HTML5 using article and time elements</li>\r\n	<li>Works with Joomla and WordPress</li>\r\n</ul>\r\n\r\n<h2>How To Use</h2>\r\n\r\n<p>Create a Twitter module in Joomla or a Twitter widget in WordPress and publish it in a module position. A lot of options are available to choose which tweets you want to show.</p>\r\n\r\n<p>For example you can show only tweets from a specific user or tweets that contain a certain hash-tag or a specific word. All options can be combined. To filter by more than one word or user use a space between them. For example: <code>yootheme joomla</code>.</p>','',1,0,0,0,'2011-06-08 11:01:06',62,'','2011-08-02 14:22:27',62,0,'0000-00-00 00:00:00','2011-06-08 11:01:06','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',3,0,6,'','',0,10,'robots=\nauthor='),(19,'Media Player','media-player','','<p>The Widgetkit Media Player is a HTML5 audio and video player completely built HTML and CSS. You can easily embed video files into your website by using the HTML5 video element. A Flash player fallback is included for all unsupported browsers.</p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Native playback for modern HTML5 browsers</li>\r\n	<li>Supports MP4 (h.264), WebM, FLV, WMV and MP3 files</li>\r\n	<li>Completely built with HTML and CSS</li>\r\n	<li>Same UI in all browsers</li>\r\n	<li>Create your own skins</li>\r\n	<li>Flash player fallback for unsupported browsers</li>\r\n	<li>Works with Joomla and WordPress</li>\r\n</ul>\r\n\r\n<h2>Examples</h2>\r\n\r\n<video width=\"640\" height=\"360\" poster=\"http://www.yootheme.com/videos/mediaplayer.jpg\" controls=\"controls\" preload=\"none\">\r\n	<source type=\"video/mp4\" src=\"http://www.yootheme.com/videos/mediaplayer.mp4\" />\r\n</video>\r\n\r\n<p>This is a MP3 Audio Sample:</p>\r\n\r\n<audio src=\"http://www.yootheme.com/videos/mediaplayer.mp3\" type=\"audio/mp3\" controls=\"control\" preload=\"none\"></audio>\r\n\r\n<h2>How To Use</h2>\r\n\r\n<p>Use the HTML5 <code>video</code> element to embed video in your website. For example:</p>\r\n\r\n<pre>&lt;video src=\"/video.mp4\" width=\"320\" height=\"240\"&gt;&lt;/video&gt;</pre>\r\n\r\n<p>You can also provide multiple sources, to add support for the different video formats like h.264, WebM or Ogg:</p>\r\n\r\n<pre>&lt;video width=\"320\" height=\"240\"&gt;\r\n	&lt;source type=\"video/mp4\"  src=\"/video.mp4\" /&gt;\r\n	&lt;source type=\"video/webm\" src=\"/video.webm\" /&gt;\r\n	&lt;source type=\"video/ogg\"  src=\"/video.ogv\" /&gt;\r\n&lt;/video&gt;\r\n</pre>\r\n\r\n\r\n<p>Use the HTML5 <code>audio</code> element to embed MP3 files in your website. For example:</p>\r\n\r\n<pre>&lt;audio src=\"/audio.mp3\" type=\"audio/mp3\"&gt;&lt;/audio&gt;</pre>','',1,0,0,0,'2011-07-31 15:47:26',62,'','2011-08-02 14:22:18',62,0,'0000-00-00 00:00:00','2011-07-31 15:47:26','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',2,0,5,'','',0,4,'robots=\nauthor='),(20,'Gallery','gallery','','<p>The Widgetkit Gallery provides a smart and automated way to publish images on your website. You only need to select the image folders and the whole gallery is generated automatically.</p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Comes with image wall, slider and slideshow styles</li>\r\n	<li>Folder based image selection</li>\r\n	<li>Support for multiple image folders</li>\r\n	<li>Automatic thumbnail creation</li>\r\n	<li>Support for image captions and custom links</li>\r\n	<li>Uses the Widgetkit Spotlight and Lightbox</li>\r\n	<li>Built with HTML5, CSS3, PHP 5.2+, and the latest jQuery version</li>\r\n	<li>Works with Joomla and WordPress</li>\r\n</ul>\r\n\r\n<h2>Showcase Box Example</h2>\r\n<p>This is an image showcase with eye-catching transition effects and a thumbnail navigation.</p>\r\n[widgetkit id=39]\r\n\r\n<h2>Image Wall Example</h2>\r\n<p>This is an image wall with zoom effect, no margins and squared corners using the lightbox.</p>\r\n[widgetkit id=24]\r\n\r\n<h2>Polaroid Example</h2>\r\n<p>This is an image wall with scattered polaroid pictures using the lightbox.</p>\r\n[widgetkit id=25]\r\n\r\n<h2>Slider Example 1</h2>\r\n<p>This is an image slider where the image centers automatically during the effect. It also features a spotlight caption and the lightbox.</p>\r\n[widgetkit id=27]\r\n\r\n<h2>Slider Example 2</h2>\r\n<p>This is an image slider where the image stays left during the effect.</p>\r\n[widgetkit id=31]\r\n\r\n<h2>Slideshow Screen Example</h2>\r\n<p>This is an image gallery using the nice swipe effect from the slideshow widget.</p>\r\n[widgetkit id=48]\r\n\r\n<h2>Slideshow Default Example</h2>\r\n<p>This is an image gallery using all the features from the slideshow widget.</p>\r\n[widgetkit id=19]\r\n\r\n<h2>Showcase Example</h2>\r\n<p>This is a simple image showcase mashing up all the features from the slideshow and slideset widget.</p>\r\n[widgetkit id=40]\r\n\r\n<h2>Spotlight Example</h2>\r\n<p>This is an image wall with some margins and rounded corners using the spotlight and lightbox.</p>\r\n[widgetkit id=23]\r\n\r\n<h2>Slideset Example</h2>\r\n<p>This is an image gallery using all the features from the slideset widget.</p>\r\n[widgetkit id=44]\r\n\r\n<h2>How To Use</h2>\r\n\r\n<p>The Widgetkit Gallery comes with a user-friendly administration user interface which let\'s you create new galleries with just a few clicks. The integrated directory browser let\'s you easily add or remove source directories of your images. All galleries can be loaded anywhere in your theme using shortcodes or the universal Widgetkit Joomla module or WordPress widget.</p>','',1,0,0,0,'2011-07-31 15:48:01',62,'','2012-02-02 14:32:07',62,0,'0000-00-00 00:00:00','2011-07-31 15:48:01','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',4,0,4,'','',0,32,'robots=\nauthor='),(21,'Map','map','','<p>The Widgetkit Map provides a simple solution for adding a map to your website. Various features let you customize the map like changing colors and adding markers or directions.</p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Location selection with auto geocoding</li>\r\n	<li>Support for multiple map markers with text popups</li>\r\n	<li>Option to get the direction to the active marker</li>\r\n	<li>Support for custom map styles and colors</li>\r\n	<li>Uses the latest Google Maps API</li>\r\n	<li>Built with HTML5, CSS3, PHP 5.2+, and the latest jQuery version</li>\r\n	<li>Works with Joomla and WordPress</li>\r\n</ul>\r\n\r\n<h2>Direction Example</h2>\r\n<p>This map features all map controls, multiple markers and you can get the direction.</p>\r\n[widgetkit id=26]\r\n\r\n<h2>Color Scheme Example</h2>\r\n<p>Set or invert the hue, saturation, lightness and gamma of a map.</p>\r\n[widgetkit id=28]\r\n\r\n<h2>Minimal Example</h2>\r\n<p>This map has a fixed width, no controls and no markers.</p>\r\n[widgetkit id=29]\r\n\r\n<h2>How To Use</h2>\r\n\r\n<p>With the Widgetkit Map you can quickly create and manage simple maps with features like multiple markers, text popups and custom color schemes. Once you have created a map you can load it anywhere on your website using shortcodes or the universal Widgetkit Joomla module or WordPress widget.</p>','',1,0,0,0,'2011-07-31 15:48:13',62,'','2011-08-02 14:22:00',62,0,'0000-00-00 00:00:00','2011-07-31 15:48:13','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',2,0,3,'','',0,4,'robots=\nauthor='),(22,'Accordion','accordion','','<p>The Widgetkit Accordion enables you to display a set of items in a compact space, by clicking on each items header it expands or collapses it\'s content section.</p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Clean and very lightweight code</li>\r\n	<li>Smooth transitions on content section toggle</li>\r\n	<li>Option to match automatically the height of varying content</li>\r\n	<li>Option to auto collapse or allow multiple opened items</li>\r\n	<li>Built with HTML5, CSS3, PHP 5.2+, and the latest jQuery version</li>\r\n	<li>Works with Joomla and WordPress</li>\r\n</ul>\r\n\r\n<h2>Example</h2>\r\n\r\n[widgetkit id=30]\r\n\r\n<h2>How To Use</h2>\r\n\r\n<p>The Widgetkit Accordion lets you easily create and manage all the accordions contents through the user-friendly Widgetkit administration user interface. After you have created an accordion you can load it anywhere on your website using shortcodes or the universal Widgetkit Joomla module or WordPress widget.</p>','',1,0,0,0,'2011-07-31 15:48:44',62,'','2011-08-02 14:21:46',62,0,'0000-00-00 00:00:00','2011-07-31 15:48:44','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',2,0,2,'','',0,4,'robots=\nauthor='),(23,'Slideset','slideset','','<p>The Widgetkit Slideset takes your product showcase to the next level. It provides a sleek way to show multiple sets of items and uses smooth effects while looping through them.</p>\r\n\r\n<h2>Features</h2>\r\n\r\n<ul class=\"check\">\r\n	<li>Clean and very lightweight code</li>\r\n	<li>Eye-catching transition effects</li>\r\n	<li>Support of named custom sets</li>\r\n	<li>Swipe navigation on mobile phones</li>\r\n	<li>Built with HTML5, CSS3, PHP 5.2+, and the latest jQuery version</li>\r\n	<li>Works with Joomla and WordPress</li>\r\n</ul>\r\n\r\n<h2>Slide Example</h2>\r\n<p>The sets are auto generated (4 items per set), item names are shown and it uses the slide effect and navigation buttons.</p>\r\n[widgetkit id=32]\r\n\r\n<h2>Zoom Example</h2>\r\n<p>The sets are arranged manually, the sets names are used as navigation and it uses the zoom effect.</p>\r\n[widgetkit id=33]\r\n\r\n<h2>Drops Example</h2>\r\n<p>The sets show the item names and it uses the drops effect and navigation buttons.</p>\r\n[widgetkit id=49]\r\n\r\n<h2>Deck Example</h2>\r\n<p>This auto generated sets uses prev/next buttons as navigation and the deck effect.</p>\r\n[widgetkit id=43]\r\n\r\n<h2>How To Use</h2>\r\n\r\n<p>The Widgetkit Slideset takes full advantage of the very user-friendly Widgetkit administration user interface. You can create and manage all the slidesets and their different items in one place. After you have created a slideset you can load it anywhere on your website using shortcodes or the universal Widgetkit Joomla module or WordPress widget.</p>','',1,0,0,0,'2011-07-31 15:49:02',62,'','2012-02-02 14:31:56',62,0,'0000-00-00 00:00:00','2011-07-31 15:49:02','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',4,0,1,'','',0,18,'robots=\nauthor='),(24,'holiday impressions','holiday-impressions','','<img height=\"195\" width=\"195\" class=\"align-left\" alt=\"Demo Image\" src=\"images/yootheme/home_news1.jpg\" />\r\n<p>Get on board and check our new Subway theme! It brings you a modern boxed layout with a <a href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=2\">broad range of options for customization</a>.</p>\r\n<p>You can choose from various color and transparency options. Explore many beautiful designed details like fresh typography, icons, CSS animations and animated backgrounds.</p>\r\n\r\n','\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. </p>',1,2,0,4,'2012-04-19 13:15:26',62,'','2012-04-23 12:14:23',62,0,'0000-00-00 00:00:00','2012-04-19 13:15:26','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',28,0,1,'','',0,5,'robots=\nauthor=');
DROP TABLE IF EXISTS `#__content_frontpage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__content_frontpage` VALUES (3,5),(4,4),(5,3),(6,2),(7,1);
DROP TABLE IF EXISTS `#__content_rating`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(11) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(11) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__core_acl_aro_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__core_acl_aro_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `#__gacl_parent_id_aro_groups` (`parent_id`),
  KEY `#__gacl_lft_rgt_aro_groups` (`lft`,`rgt`)
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__core_acl_aro_groups` VALUES (17,0,'ROOT',1,22,'ROOT'),(28,17,'USERS',2,21,'USERS'),(29,28,'Public Frontend',3,12,'Public Frontend'),(18,29,'Registered',4,11,'Registered'),(19,18,'Author',5,10,'Author'),(20,19,'Editor',6,9,'Editor'),(21,20,'Publisher',7,8,'Publisher'),(30,28,'Public Backend',13,20,'Public Backend'),(23,30,'Manager',14,19,'Manager'),(24,23,'Administrator',15,18,'Administrator'),(25,24,'Super Administrator',16,17,'Super Administrator');
DROP TABLE IF EXISTS `#__core_acl_aro_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__core_acl_aro_map` (
  `acl_id` int(11) NOT NULL DEFAULT '0',
  `section_value` varchar(230) NOT NULL DEFAULT '0',
  `value` varchar(100) NOT NULL,
  PRIMARY KEY (`acl_id`,`section_value`,`value`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__core_acl_aro_sections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__core_acl_aro_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `value` varchar(230) NOT NULL DEFAULT '',
  `order_value` int(11) NOT NULL DEFAULT '0',
  `name` varchar(230) NOT NULL DEFAULT '',
  `hidden` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `#__gacl_value_aro_sections` (`value`),
  KEY `#__gacl_hidden_aro_sections` (`hidden`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__core_acl_aro_sections` VALUES (10,'users',1,'Users',0);
DROP TABLE IF EXISTS `#__core_log_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__core_log_items` (
  `time_stamp` date NOT NULL DEFAULT '0000-00-00',
  `item_table` varchar(50) NOT NULL DEFAULT '',
  `item_id` int(11) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__core_log_searches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(11) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__groups` (
  `id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `name` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__groups` VALUES (0,'Public'),(1,'Registered'),(2,'Special');
DROP TABLE IF EXISTS `#__menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(75) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '',
  `link` text,
  `type` varchar(50) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `parent` int(11) unsigned NOT NULL DEFAULT '0',
  `componentid` int(11) unsigned NOT NULL DEFAULT '0',
  `sublevel` int(11) DEFAULT '0',
  `ordering` int(11) DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `pollid` int(11) NOT NULL DEFAULT '0',
  `browserNav` tinyint(4) DEFAULT '0',
  `access` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `utaccess` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `lft` int(11) unsigned NOT NULL DEFAULT '0',
  `rgt` int(11) unsigned NOT NULL DEFAULT '0',
  `home` int(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `componentid` (`componentid`,`menutype`,`published`,`access`),
  KEY `menutype` (`menutype`)
) ENGINE=MyISAM AUTO_INCREMENT=89 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__menu` VALUES (1,'mainmenu','home','home','index.php?option=com_content&view=category&layout=blog&id=4','component',1,0,20,0,1,0,'0000-00-00 00:00:00',0,0,0,3,'show_description=0\nshow_description_image=0\nnum_leading_articles=0\nnum_intro_articles=4\nnum_columns=1\nnum_links=0\norderby_pri=\norderby_sec=\nmulti_column_order=0\nshow_pagination=2\nshow_pagination_results=1\nshow_feed_link=1\nshow_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=0\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=0\npageclass_sfx=columns-2 columnwidth-200\nmenu_image=icon_menu_home.png\nsecure=0\n\n',0,0,1),(2,'mainmenu','features','features','index.php?option=com_content&view=article&id=2','component',1,0,20,0,2,62,'2012-04-05 12:24:53',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=icon_menu_features.png\nsecure=0\n\n',0,0,0),(3,'mainmenu','Module Variations','module-variations','index.php?option=com_content&view=article&id=13','component',1,2,20,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(4,'mainmenu','Typography','typography','index.php?option=com_content&view=article&id=9','component',1,2,20,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(63,'mainmenu','Spotlight','spotlight','index.php?option=com_content&view=article&id=17','component',1,60,20,1,7,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(6,'mainmenu','icons','icons','index.php?option=com_content&view=article&id=11','component',1,0,20,0,4,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=icon_menu_icons.png\nsecure=0\n\n',0,0,0),(7,'mainmenu','ZOO','zoo','index.php?option=com_content&view=article&id=10','component',1,0,20,0,5,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=icon_menu_zoo.png\nsecure=0\n\n',0,0,0),(8,'mainmenu','joomla || Subtitle Possible','joomla','index.php?option=com_content&view=frontpage','component',1,0,20,0,6,62,'2012-03-27 16:03:36',0,0,0,0,'num_leading_articles=1\nnum_intro_articles=3\nnum_columns=1\nnum_links=0\norderby_pri=\norderby_sec=rdate\nmulti_column_order=1\nshow_pagination=2\nshow_pagination_results=1\nshow_feed_link=1\nshow_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=0\npageclass_sfx=\nmenu_image=icon_menu_joomla.png\nsecure=0\n\n',0,0,0),(64,'mainmenu','Twitter','twitter','index.php?option=com_content&view=article&id=18','component',1,60,20,1,8,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(17,'mainmenu','Content || All com_content views','content-all-comcontent-views','','separator',1,8,0,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(18,'mainmenu','Contact || All com_contact views','contact--all-comcontact-views','','separator',1,8,0,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(19,'mainmenu','Other Components || Remaining component views','other-components--remaining-component-views','','separator',1,8,0,1,3,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(20,'mainmenu','Section Blog','section-blog','index.php?option=com_content&view=section&layout=blog&id=1','component',1,17,20,2,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_description=0\nshow_description_image=0\nnum_leading_articles=1\nnum_intro_articles=4\nnum_columns=2\nnum_links=4\norderby_pri=\norderby_sec=rdate\nmulti_column_order=1\nshow_pagination=2\nshow_pagination_results=1\nshow_feed_link=1\nshow_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=0\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(21,'mainmenu','Category Blog','category-blog','index.php?option=com_content&view=category&layout=blog&id=1','component',1,17,20,2,2,0,'0000-00-00 00:00:00',0,0,0,0,'show_description=1\nshow_description_image=1\nnum_leading_articles=1\nnum_intro_articles=4\nnum_columns=2\nnum_links=4\norderby_pri=\norderby_sec=rdate\nmulti_column_order=1\nshow_pagination=2\nshow_pagination_results=1\nshow_feed_link=1\nshow_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=0\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(22,'mainmenu','Section List','section-list','index.php?option=com_content&view=section&id=1','component',1,17,20,2,3,0,'0000-00-00 00:00:00',0,0,0,0,'show_description=0\nshow_description_image=0\nshow_categories=1\nshow_empty_categories=0\nshow_cat_num_articles=1\nshow_category_description=1\norderby=\norderby_sec=rdate\nshow_feed_link=1\nshow_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(23,'mainmenu','Category List','category-list','index.php?option=com_content&view=category&id=1','component',1,17,20,2,4,0,'0000-00-00 00:00:00',0,0,0,0,'display_num=10\nshow_headings=1\nshow_date=0\ndate_format=\nfilter=1\nfilter_type=title\norderby_sec=rdate\nshow_pagination=1\nshow_pagination_limit=1\nshow_feed_link=1\nshow_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(24,'mainmenu','Contact Category','contact-category','index.php?option=com_contact&view=category&catid=2','component',1,18,7,2,1,0,'0000-00-00 00:00:00',0,0,0,0,'display_num=20\nimage=-1\nimage_align=right\nshow_limit=0\nshow_feed_link=1\ncontact_icons=\nicon_address=\nicon_email=\nicon_telephone=\nicon_mobile=\nicon_fax=\nicon_misc=\nshow_headings=\nshow_position=\nshow_email=\nshow_telephone=\nshow_mobile=\nshow_fax=\nallow_vcard=\nbanned_email=\nbanned_subject=\nbanned_text=\nvalidate_session=\ncustom_reply=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(25,'mainmenu','Contact Item','contact-item','index.php?option=com_contact&view=contact&id=1','component',1,18,7,2,2,0,'0000-00-00 00:00:00',0,0,0,0,'show_contact_list=0\nshow_category_crumb=0\ncontact_icons=\nicon_address=\nicon_email=\nicon_telephone=\nicon_mobile=\nicon_fax=\nicon_misc=\nshow_headings=\nshow_position=\nshow_email=\nshow_telephone=\nshow_mobile=\nshow_fax=\nallow_vcard=\nbanned_email=\nbanned_subject=\nbanned_text=\nvalidate_session=\ncustom_reply=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(26,'mainmenu','Web Links','web-links','index.php?option=com_weblinks&view=categories','component',1,19,4,2,1,0,'0000-00-00 00:00:00',0,0,0,0,'image=-1\nimage_align=right\nshow_feed_link=1\nshow_comp_description=\ncomp_description=\nshow_link_hits=\nshow_link_description=\nshow_other_cats=\nshow_headings=\ntarget=\nlink_icons=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(27,'mainmenu','Login','login','index.php?option=com_user&view=login','component',1,19,14,2,2,0,'0000-00-00 00:00:00',0,0,0,0,'show_login_title=1\nheader_login=\nlogin=\nlogin_message=0\ndescription_login=0\ndescription_login_text=\nimage_login=-1\nimage_login_align=right\nshow_logout_title=1\nheader_logout=\nlogout=\nlogout_message=1\ndescription_logout=1\ndescription_logout_text=\nimage_logout=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(28,'topmenu','Features','features','index.php?option=com_content&view=article&id=2&Itemid=2','url',1,0,0,0,1,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(29,'topmenu','News','news','index.php?option=com_content&view=frontpage&Itemid=8','url',1,0,0,0,3,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(30,'topmenu','Typography','typography','index.php?option=com_content&view=article&id=9&Itemid=4','url',1,0,0,0,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(60,'mainmenu','widgetkit','widgetkit','index.php?option=com_content&view=article&id=14','component',1,0,20,0,3,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=columns-2 columnwidth-200\nmenu_image=icon_menu_widgetkit.png\nsecure=0\n\n',0,0,0),(61,'mainmenu','Slideshow','slideshow','index.php?option=com_content&view=article&id=15','component',1,60,20,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(62,'mainmenu','Lightbox','lightbox','index.php?option=com_content&view=article&id=16','component',1,60,20,1,6,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(40,'sidebarmenu','Sample Levels','sample-levels','index.php?option=com_content&view=article&id=8','component',1,0,20,0,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(41,'sidebarmenu','Level 2','level-2','index.php?option=com_content&view=article&id=8','component',1,40,20,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(42,'sidebarmenu','Level 2','level-2','index.php?option=com_content&view=article&id=8','component',1,40,20,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(43,'sidebarmenu','Level 2','level-2','index.php?option=com_content&view=article&id=8','component',1,40,20,1,3,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(44,'sidebarmenu','Level 4','level-4','index.php?option=com_content&view=article&id=8','component',1,45,20,3,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(45,'sidebarmenu','Level 3','level-3','index.php?option=com_content&view=article&id=8','component',1,42,20,2,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(46,'sidebarmenu','Accordion A','accordion-a','','separator',1,0,0,0,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(47,'sidebarmenu','Accordion B','accordion-b','','separator',1,0,0,0,3,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(48,'sidebarmenu','Level 2','level-2','index.php?option=com_content&view=article&id=8','component',1,46,20,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(49,'sidebarmenu','Level 2','level-2','index.php?option=com_content&view=article&id=8','component',1,46,20,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(50,'sidebarmenu','Level 2','level-2','index.php?option=com_content&view=article&id=8','component',1,46,20,1,3,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(51,'sidebarmenu','Level 2','level-2','index.php?option=com_content&view=article&id=8','component',1,47,20,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(52,'sidebarmenu','Level 2','level-2','index.php?option=com_content&view=article&id=8','component',1,47,20,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(53,'mainmenu','Registration','registration','index.php?option=com_user&view=register','component',1,19,14,2,3,0,'0000-00-00 00:00:00',0,0,0,0,'page_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(54,'mainmenu','Remind','remind','index.php?option=com_user&view=remind','component',1,19,14,2,4,62,'2012-01-23 15:07:40',0,0,0,0,'page_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(55,'mainmenu','Reset','reset','index.php?option=com_user&view=reset','component',1,19,14,2,5,0,'0000-00-00 00:00:00',0,0,0,0,'page_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(56,'mainmenu','User','user','index.php?option=com_user&view=user','component',1,19,14,2,6,0,'0000-00-00 00:00:00',0,0,0,0,'welcome_desc=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(57,'mainmenu','User Form','user-form','index.php?option=com_user&view=user&layout=form','component',1,19,14,2,7,0,'0000-00-00 00:00:00',0,0,0,0,'page_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(65,'mainmenu','Media Player','media-player','index.php?option=com_content&view=article&id=19','component',1,60,20,1,9,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(66,'mainmenu','Gallery','gallery','index.php?option=com_content&view=article&id=20','component',1,60,20,1,3,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(67,'mainmenu','Map','map','index.php?option=com_content&view=article&id=21','component',1,60,20,1,4,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(68,'mainmenu','Accordion','accordion','index.php?option=com_content&view=article&id=22','component',1,60,20,1,5,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(69,'mainmenu','Slideset','slideset','index.php?option=com_content&view=article&id=23','component',1,60,20,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(70,'frontpagemenu','features','features','index.php?option=com_content&view=article&id=2&Itemid=2','url',1,0,0,0,1,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(71,'frontpagemenu','widgetkit','widgetkit','index.php?option=com_content&view=article&id=14&Itemid=60','url',1,0,0,0,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(72,'frontpagemenu','icons','icons','index.php?option=com_content&view=article&id=11&Itemid=6','url',1,0,0,0,3,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(73,'frontpagemenu','ZOO','zoo','index.php?option=com_content&view=article&id=10&Itemid=7','url',1,0,0,0,4,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(76,'mainmenu','Gradient Blue','gradientblue','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=default','url',1,1,0,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(77,'mainmenu','Wood','wood','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=wood','url',1,1,0,1,5,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(78,'mainmenu','Grass','grass','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=grass','url',1,1,0,1,8,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(79,'mainmenu','Street','street','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=street','url',1,1,0,1,3,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(80,'mainmenu','Bridge','bridge','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=bridge','url',1,1,0,1,9,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(82,'mainmenu','Gradient Grey','gradiengrey','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=gradientgrey','url',1,1,0,1,7,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(84,'mainmenu','Ambient Pink','ambientpink','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=ambientpink','url',1,1,0,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(85,'mainmenu','Ambient Turquoise','ambientturquoise','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=ambientturquoise','url',1,1,0,1,6,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(87,'mainmenu','Animated Blue','animatedblue','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=animated','url',1,1,0,1,10,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(88,'mainmenu','Animated Red','animatedred','index.php?option=com_content&view=category&layout=blog&id=4&Itemid=1&profile=animatedred','url',1,1,0,1,4,62,'2012-04-18 13:53:14',0,0,0,0,'menu_image=-1\n\n',0,0,0);
DROP TABLE IF EXISTS `#__menu_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(75) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `menutype` (`menutype`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__menu_types` VALUES (1,'mainmenu','Main Menu','The main menu for the site'),(2,'topmenu','Top Menu',''),(3,'sidebarmenu','Sidebar Menu',''),(4,'frontpagemenu','Frontpage Menu','');
DROP TABLE IF EXISTS `#__messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` int(10) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` int(11) NOT NULL DEFAULT '0',
  `priority` int(1) unsigned NOT NULL DEFAULT '0',
  `subject` text NOT NULL,
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__messages_cfg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__migration_backlinks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__migration_backlinks` (
  `itemid` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `url` text NOT NULL,
  `sefurl` text NOT NULL,
  `newurl` text NOT NULL,
  PRIMARY KEY (`itemid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) DEFAULT NULL,
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `numnews` int(11) NOT NULL DEFAULT '0',
  `access` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `iscore` tinyint(4) NOT NULL DEFAULT '0',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `control` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`)
) ENGINE=MyISAM AUTO_INCREMENT=117 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__modules` VALUES (1,'Main Menu','',0,'menu',0,'0000-00-00 00:00:00',1,'mod_mainmenu',0,0,1,'menutype=mainmenu\nmenu_style=list\nstartLevel=0\nendLevel=0\nshowAllChildren=1\nwindow_open=\nshow_whitespace=0\ncache=1\ntag_id=\nclass_sfx=\nmoduleclass_sfx=\nmaxdepth=10\nmenu_images=0\nmenu_images_align=0\nmenu_images_link=0\nexpand_menu=0\nactivate_parent=0\nfull_active_id=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=\nend_spacer=\n\n',1,0,''),(2,'Login','',1,'login',0,'0000-00-00 00:00:00',1,'mod_login',0,0,1,'',1,1,''),(3,'Popular','',3,'cpanel',0,'0000-00-00 00:00:00',1,'mod_popular',0,2,1,'',0,1,''),(4,'Recent added Articles','',4,'cpanel',0,'0000-00-00 00:00:00',1,'mod_latest',0,2,1,'ordering=c_dsc\nuser_id=0\ncache=0\n\n',0,1,''),(5,'Menu Stats','',5,'cpanel',0,'0000-00-00 00:00:00',1,'mod_stats',0,2,1,'',0,1,''),(6,'Unread Messages','',1,'header',0,'0000-00-00 00:00:00',1,'mod_unread',0,2,1,'',1,1,''),(7,'Online Users','',2,'header',0,'0000-00-00 00:00:00',1,'mod_online',0,2,1,'',1,1,''),(8,'Toolbar','',1,'toolbar',0,'0000-00-00 00:00:00',1,'mod_toolbar',0,2,1,'',1,1,''),(9,'Quick Icons','',1,'icon',0,'0000-00-00 00:00:00',1,'mod_quickicon',0,2,1,'',1,1,''),(10,'Logged in Users','',2,'cpanel',0,'0000-00-00 00:00:00',1,'mod_logged',0,2,1,'',0,1,''),(11,'Footer','',0,'footer',0,'0000-00-00 00:00:00',1,'mod_footer',0,0,1,'',1,1,''),(12,'Admin Menu','',1,'menu',0,'0000-00-00 00:00:00',1,'mod_menu',0,2,1,'',0,1,''),(13,'Admin SubMenu','',1,'submenu',0,'0000-00-00 00:00:00',1,'mod_submenu',0,2,1,'',0,1,''),(14,'User Status','',1,'status',0,'0000-00-00 00:00:00',1,'mod_status',0,2,1,'',0,1,''),(15,'Title','',1,'title',0,'0000-00-00 00:00:00',1,'mod_title',0,2,1,'',0,1,''),(16,'Top A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box</code>',2,'top-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(17,'Top A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-color1</code>',3,'top-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-color1\n\n',0,0,''),(22,'Top B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box</code>',1,'top-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(21,'Top B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-color1</code>',2,'top-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-color1\n\n',0,0,''),(18,'Top A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-transparent</code>',4,'top-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(19,'Top A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-color2</code>',5,'top-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-color2\n\n',0,0,''),(20,'Top B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-color2</code>',4,'top-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-color2\n\n',0,0,''),(23,'Top B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-transparent</code>',3,'top-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(24,'Bottom A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-color1 icon-download</code>',3,'bottom-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-color1 icon-download\n\n',0,0,''),(25,'Bottom A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box icon-twitter</code>',2,'bottom-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=icon-twitter\n\n',0,0,''),(26,'Bottom A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-transparent icon-mail</code>',4,'bottom-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-transparent icon-mail\n\n',0,0,''),(27,'Bottom A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-color2 icon-bubble</code>',5,'bottom-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-color2 icon-bubble\n\n',0,0,''),(28,'Bottom B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-color2 badge-top</code>',4,'bottom-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=badge-top style-box color-color2\n\n',0,0,''),(29,'Bottom B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box badge-hot</code>',0,'bottom-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=badge-hot\n\n',0,0,''),(30,'Bottom B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-color1 badge-new</code>',2,'bottom-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=badge-new style-box color-color1\n\n',0,0,''),(31,'Bottom B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-transparent badge-free</code>',3,'bottom-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=badge-free style-box color-transparent\n\n',0,0,''),(32,'Inner Top','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box</code>',0,'innertop',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(33,'Inner Top','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box</code>',2,'innertop',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(34,'Inner Bottom','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box icon-cart</code>',2,'innerbottom',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=icon-cart\n\n',0,0,''),(36,'Sidebar A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-transparent</code>',7,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(35,'Inner Bottom','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box icon-login</code>',0,'innerbottom',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=icon-login\n\n',0,0,''),(38,'Sidebar B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box</code>',2,'sidebar-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(37,'Sidebar A','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box color-transparent</code>',6,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(40,'Search','',1,'search',0,'0000-00-00 00:00:00',1,'mod_search',0,0,1,'moduleclass_sfx=\nwidth=20\ntext=\nbutton=\nbutton_pos=right\nimagebutton=\nbutton_text=\nset_itemid=\ncache=1\ncache_time=900\n\n',0,0,''),(39,'Sidebar B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box</code>',0,'sidebar-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(41,'Logo','<img src=\"images/yootheme/logo.png\" width=\"140\" height=\"40\" alt=\"logo\" />',0,'logo',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=\n\n',0,0,''),(42,'login || Module Position','',2,'menu',0,'0000-00-00 00:00:00',0,'mod_login',0,0,1,'cache=0\nmoduleclass_sfx=\npretext=\nposttext=\nlogin=\nlogout=\ngreeting=1\nname=0\nusesecure=0\n\n',0,0,''),(46,'Sidebar Menu','',5,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_mainmenu',0,0,1,'menutype=sidebarmenu\nmenu_style=list\nstartLevel=0\nendLevel=0\nshowAllChildren=1\nwindow_open=\nshow_whitespace=0\ncache=1\ntag_id=\nclass_sfx=\nmoduleclass_sfx=style-box color-transparent\nmaxdepth=10\nmenu_images=0\nmenu_images_align=0\nmenu_images_link=0\nexpand_menu=0\nactivate_parent=0\nfull_active_id=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=\nend_spacer=\n\n',0,0,''),(43,'Footer','Built with HTML5 and CSS3 | Copyright &copy; 2012 <a href=\"http://www.yootheme.com\" target=\"_blank\">YOOtheme</a>',2,'footer',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(103,'Widgetkit','',11,'left',0,'0000-00-00 00:00:00',0,'mod_widgetkit',0,0,1,'',0,0,''),(104,'Twitter List','',2,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_widgetkit_twitter',0,0,0,'style=list\nfrom_user=yootheme\nto_user=\nref_user=\nhashtag=\nword=\nnots=\nlimit=4\nimage_size=48\nshow_image=1\nshow_author=1\nshow_date=1\nmoduleclass_sfx=\n\n',0,0,''),(105,'Get Widgetkit','<a class=\"display-block text-center\" href=\"http://www.yootheme.com/blog/item/root/introducing-widgetkit\" target=\"_blank\"><img class=\"size-auto\" src=\"images/yootheme/widgetkit_icon.png\" alt=\"The next generation tool set for Joomla and WordPress\" title=\"The next generation tool set for Joomla and WordPress\" width=\"140\" height=\"130\" /></a>\r\n\r\n<p>The next generation tool set for Joomla and WordPress</p>\r\n\r\n<p><a class=\"button-more\" href=\"http://www.yootheme.com/widgetkit\" target=\"_blank\">Download Widgetkit</a></p>',3,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=badge-free style-box color-color2\n\n',0,0,''),(44,'Top Menu','',0,'toolbar-r',0,'0000-00-00 00:00:00',1,'mod_mainmenu',0,0,0,'menutype=topmenu\nmenu_style=list\nstartLevel=0\nendLevel=0\nshowAllChildren=0\nwindow_open=\nshow_whitespace=0\ncache=1\ntag_id=\nclass_sfx=\nmoduleclass_sfx=\nmaxdepth=10\nmenu_images=0\nmenu_images_align=0\nmenu_images_link=0\nexpand_menu=0\nactivate_parent=0\nfull_active_id=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=\nend_spacer=\n\n',0,0,''),(45,'Footer Menu','',1,'footer',0,'0000-00-00 00:00:00',0,'mod_mainmenu',0,0,0,'menutype=topmenu\nmenu_style=list\nstartLevel=0\nendLevel=0\nshowAllChildren=0\nwindow_open=\nshow_whitespace=0\ncache=1\ntag_id=\nclass_sfx=\nmoduleclass_sfx=\nmaxdepth=10\nmenu_images=0\nmenu_images_align=0\nmenu_images_link=0\nexpand_menu=0\nactivate_parent=0\nfull_active_id=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=\nend_spacer=\n\n',0,0,''),(48,'Latest News','',11,'sidebar-a',62,'2012-04-18 16:29:43',1,'mod_latestnews',0,0,1,'count=5\nordering=c_dsc\nuser_id=0\nshow_front=1\nsecid=\ncatid=\nmoduleclass_sfx=style-box color-color2\ncache=1\ncache_time=900\n\n',0,0,''),(47,'Headerbar','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',0,'headerbar',62,'2011-05-02 12:57:10',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(49,'List Line','<p>Use the CSS class <code>line</code> to create this list style.</p>\r\n\r\n<ul class=\"line\">\r\n	<li>Item 1</li>\r\n	<li>Item 2</li>\r\n	<li>Item 3</li>\r\n	<li>Item 4</li>\r\n	<li>Item 5</li>\r\n</ul>',8,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(50,'List Zebra','<p>Use the CSS class <code>zebra</code> to create this list style.</p>\r\n\r\n<ul class=\"zebra\">\r\n	<li class=\"odd\">Item 1</li>\r\n	<li>Item 2</li>\r\n	<li class=\"odd\">Item 3</li>\r\n	<li>Item 4</li>\r\n	<li class=\"odd\">Item 5</li>\r\n</ul>',9,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-color2\n\n',0,0,''),(51,'Breadcrumbs','',0,'breadcrumbs',0,'0000-00-00 00:00:00',1,'mod_breadcrumbs',0,0,1,'showHome=1\nhomeText=Home\nshowLast=1\nseparator=\nmoduleclass_sfx=\ncache=0\n\n',0,0,''),(52,'Login','',12,'sidebar-a',62,'2011-05-04 16:20:27',1,'mod_login',0,0,1,'cache=0\nmoduleclass_sfx=\npretext=\nposttext=\nlogin=\nlogout=\ngreeting=1\nname=0\nusesecure=0\n\n',0,0,''),(65,'Download ZOO','<a class=\"display-block text-center\" href=\"http://www.yootheme.com/zoo\" target=\"_blank\"><img class=\"size-auto\" src=\"images/yootheme/zoo_icon.png\" alt=\"A flexible and powerful content application builder to manage your content\" title=\"A flexible and powerful content application builder to manage your content\" width=\"140\" height=\"130\" /></a>\r\n\r\n<p>A flexible and powerful content application builder to manage your content.</p>\r\n\r\n<p><a class=\"button-more\" href=\"http://www.yootheme.com/zoo\" target=\"_blank\">Download ZOO</a></p>',13,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=badge-free style-box color-color2\n\n',0,0,''),(64,'List Check','<p>Use the CSS class <code>check</code> to create this list style.</p>\r\n\r\n<ul class=\"check\">\r\n	<li>Item 1</li>\r\n	<li>Item 2</li>\r\n	<li>Item 3</li>\r\n	<li>Item 4</li>\r\n	<li>Item 5</li>\r\n</ul>',10,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(89,'Sidebar B','Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Module Class Suffix <code>style-box</code>',3,'sidebar-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(78,'ZOO Warning','<p>This ZOO app is only shown for demonstration purpose. It\'s NOT included in this theme. However you can puchase this <a href=\"http://www.yootheme.com/zoo\" target=\"_blank\">ZOO app</a>.</p>',0,'top-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=style-box color-color2\n\n',0,0,''),(83,'Icon Freebies','<ul class=\"line text-center\">\r\n	<li>\r\n		<a href=\"http://www.yootheme.com/icons\" target=\"_blank\">\r\n			<figure>\r\n				<img class=\"size-auto\" height=\"120\" width=\"180\" src=\"images/yootheme/icons_socialbookmarks.png\" alt=\"Social Bookmarks Icons\">\r\n				<figcaption>Social Bookmarks Icons</figcaption>\r\n			</figure>\r\n		</a>\r\n	</li>\r\n	<li>\r\n		<a href=\"http://www.yootheme.com/icons\" target=\"_blank\">\r\n			<figure>\r\n				<img class=\"size-auto\" height=\"120\" width=\"180\" src=\"images/yootheme/icons_halloween.png\" alt=\"Halloween Icons\">\r\n				<figcaption>Halloween Icons</figcaption>\r\n			</figure>\r\n		</a>\r\n	</li>\r\n	<li>\r\n		<a href=\"http://www.yootheme.com/icons\" target=\"_blank\">\r\n			<figure>\r\n				<img class=\"size-auto\" height=\"120\" width=\"180\" src=\"images/yootheme/icons_html5geekmatt.png\" alt=\"HTML5 Geek Icon\">\r\n				<figcaption>HTML5 Geek Icon</figcaption>\r\n			</figure>\r\n		</a>\r\n	</li>\r\n</ul>',19,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=badge-free style-box color-color1\n\n',0,0,''),(84,'Icons Shipping','<a href=\"http://www.yootheme.com/icons\" target=\"_blank\" class=\"display-block text-center\">\r\n	<figure class=\"remove-margin\">\r\n		<img class=\"size-auto\" height=\"120\" width=\"180\" src=\"images/yootheme/icons_shipping.png\" alt=\"Shipping Icons\">\r\n		<figcaption>Shipping Icons</figcaption>\r\n	</figure>\r\n</a>',6,'top-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(85,'Icons Action','<a href=\"http://www.yootheme.com/icons\" target=\"_blank\" class=\"display-block text-center\">\r\n	<figure class=\"remove-margin\">\r\n		<img class=\"size-auto\" height=\"120\" width=\"180\" src=\"images/yootheme/icons_actions.png\" alt=\"Action Icons\">\r\n		<figcaption>Action Icons</figcaption>\r\n	</figure>\r\n</a>',8,'top-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(87,'Icons Box','<a href=\"http://www.yootheme.com/icons\" target=\"_blank\" class=\"display-block text-center\">\r\n	<figure class=\"remove-margin\">\r\n		<img class=\"size-auto\" height=\"120\" width=\"180\" src=\"images/yootheme/icons_box.png\" alt=\"Box Icons\">\r\n		<figcaption>Box Icons</figcaption>\r\n	</figure>\r\n</a>',9,'top-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(86,'Icons E-Commerce','<a href=\"http://www.yootheme.com/icons\" target=\"_blank\" class=\"display-block text-center\">\r\n	<figure class=\"remove-margin\">\r\n		<img class=\"size-auto\" height=\"120\" width=\"180\" src=\"images/yootheme/icons_ecommerce.png\" alt=\"E-Commerce Icons\">\r\n		<figcaption>E-Commerce Icons</figcaption>\r\n	</figure>\r\n</a>',7,'top-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(88,'Sub Menu','',4,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_mainmenu',0,0,1,'menutype=mainmenu\nmenu_style=list\nstartLevel=1\nendLevel=0\nshowAllChildren=1\nwindow_open=\nshow_whitespace=0\ncache=1\ntag_id=\nclass_sfx=\nmoduleclass_sfx=style-box color-transparent\nmaxdepth=10\nmenu_images=0\nmenu_images_align=0\nmenu_images_link=0\nexpand_menu=0\nactivate_parent=0\nfull_active_id=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=\nend_spacer=\n\n',0,0,''),(90,'Warp Framework','<a class=\"display-block text-center\" href=\"http://www.yootheme.com/warp\" target=\"_blank\"><img class=\"size-auto\" src=\"images/yootheme/features_warp_icon.png\" alt=\"Warp is a fast and slick theme framework which provides a rich tool set to develop cross-platform themes\" title=\"Warp is a fast and slick theme framework which provides a rich tool set to develop cross-platform themes\" width=\"140\" height=\"130\" /></a>\r\n\r\n<p>A fast and slick theme framework built on the latest web techniques like HTML5, CSS3 and PHP 5.2+</p>\r\n\r\n<p><a class=\"button-more\" href=\"http://www.yootheme.com/warp\" target=\"_blank\">Visit Website</a></p>',20,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(91,'Warp Features','<p>All Warp features are available in this theme:</p>\r\n\r\n<ul class=\"check\">\r\n	<li>Fast and Lightweight</li>\r\n	<li>Mobile Theme</li>\r\n	<li>Update Notifications</li>\r\n	<li>HTML5 markup</li>\r\n	<li>RTL Support</li>\r\n	<li>CSS Framework</li>\r\n	<li>Nice Admin UI</li>\r\n	<li>File Minification</li>\r\n</ul>',21,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-color2\n\n',0,0,''),(92,'JavaScript Library','All client side effects use the JavaScript framework <a href=\"http://www.jquery.com\" target=\"_blank\">jQuery</a> which offers most reliable functionality and compact size!',22,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(108,'Social Icons','<ul class=\"social-icons\">\r\n	<li><a class=\"twitter\" target=\"_blank\" href=\"http://www.twitter.com/yootheme\"></a></li>\r\n	<li><a class=\"facebook\" target=\"_blank\" href=\"http://www.facebook.com\"></a></li>\r\n	<li><a class=\"googleplus\" target=\"_blank\" href=\"https://plus.google.com\"></a></li>\r\n	<li><a class=\"feed\" target=\"_blank\" href=\"http://www.yootheme.com/rss\"></a></li>\r\n</ul>',0,'socialbar',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=\n\n',0,0,''),(94,'Gallery','<a href=\"index.php?option=com_content&amp;view=article&amp;id=20&amp;Itemid=66\">\r\n<img class=\"size-auto align-center\" src=\"images/yootheme/icon_gallery.png\" height=\"126\" width=\"126\" alt=\"Gallery Icon\" />\r\n<h3 class=\"module-title\">gallery</h3>\r\n</a>',1,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=style-box color-color1\n\n',0,0,''),(109,'latest tweet','',23,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_widgetkit_twitter',0,0,0,'style=single\nfrom_user=yootheme\nto_user=\nref_user=\nhashtag=\nword=\nnots=\nlimit=1\nimage_size=48\nshow_image=0\nshow_author=0\nshow_date=0\nmoduleclass_sfx=style-box color-color1\n\n',0,0,''),(95,'Contact','<a href=\"#\">\r\n<img class=\"size-auto align-center\" src=\"images/yootheme/icon_contact.png\" height=\"126\" width=\"126\" alt=\"Contact Icon\" />\r\n<h3 class=\"module-title\">contact</h3>\r\n</a>',4,'sidebar-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=style-box color-color2\n\n',0,0,''),(115,'Special Features','<p>The Subway theme comes with some additional features.</p>\r\n\r\n<h3>Custom Widgetkit Styles</h3>\r\n\r\n<p>We created custom styles for our <a href=\"index.php?option=com_content&amp;view=article&amp;id=15&amp;Itemid=61\">Widgetkit Slideshow</a> and <a href=\"index.php?option=com_content&amp;view=article&amp;id=20&amp;Itemid=71\">Gallery</a>. To apply the styles, follow these steps:</p>\r\n\r\n<h4>Slideshow</h4>\r\n<ol>\r\n	<li>Download and unzip the bonus styles package for Widgetkit available in the download area</li>\r\n	<li>Copy the <strong>slideshow/styles/subway_list</strong> folder</li>\r\n	<li>\r\n		Joomla: Paste it to <strong>media/widgetkit/widgets/slideshow/styles</strong><br/>\r\n		WordPress: Paste it to <strong>wp-content/plugins/widgetkit/widgets/slideshow/styles</strong>\r\n	</li>\r\n	<li>Now you can select the \"Subway List\" style in the settings of your Widgetkit Slideshow</li>\r\n</ol>\r\n\r\n<h4>Gallery + Slideshow</h4>\r\n<ol>\r\n	<li>Download and unzip the bonus styles package for Widgetkit available in the download area</li>\r\n	<li>Copy the <strong>gallery/styles/subway</strong> folder</li>\r\n	<li>\r\n		Joomla: Paste it to <strong>media/widgetkit/widgets/gallery/styles</strong><br/>\r\n		WordPress: Paste it to <strong>wp-content/plugins/widgetkit/widgets/gallery/styles</strong>\r\n	</li>\r\n	<li>Copy the <strong>slideshow/styles/subway</strong> folder</li>\r\n	<li>\r\n		Joomla: Paste it to <strong>media/widgetkit/widgets/gallery/styles</strong><br/>\r\n		WordPress: Paste it to <strong>wp-content/plugins/widgetkit/widgets/gallery/styles</strong>\r\n	</li>\r\n	<li>Now you can select the \"Subway\" style in the settings of your Widgetkit Gallery and Slideshow</li>\r\n</ol>\r\n\r\n<hr />\r\n\r\n<h3 class=\"module-title\">Custom Socialbar</h3>\r\n\r\n<p>Subway theme comes with a custom module position called \"socialbar\". To create social icons like in our demo, you can use the following code:</p>\r\n\r\n<pre>\r\n&lt;ul class=&quot;social-icons&quot;&gt;\r\n&lt;li&gt;&lt;a class=&quot;twitter&quot; target=&quot;_blank&quot; href=&quot;http://www.twitter.com/yootheme&quot;&gt;&lt;/a&gt;&lt;/li&gt;\r\n&lt;li&gt;&lt;a class=&quot;facebook&quot; target=&quot;_blank&quot; href=&quot;http://www.facebook.com&quot;&gt;&lt;/a&gt;&lt;/li&gt;\r\n&lt;li&gt;&lt;a class=&quot;googleplus&quot; target=&quot;_blank&quot; href=&quot;https://plus.google.com&quot;&gt;&lt;/a&gt;&lt;/li&gt;\r\n&lt;li&gt;&lt;a class=&quot;feed&quot; target=&quot;_blank&quot; href=&quot;http://www.yootheme.com/rss&quot;&gt;&lt;/a&gt;&lt;/li&gt;\r\n&lt;/ul&gt;\r\n</pre>',0,'innerbottom',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=style-box color-transparent\n\n',0,0,''),(114,'Frontpage Slideshow','',0,'innerbottom',0,'0000-00-00 00:00:00',1,'mod_widgetkit',0,0,0,'widget_id=52\nmoduleclass_sfx=style-blank\n\n',0,0,''),(106,'Twitter Bubbles','',1,'bottom-a',0,'0000-00-00 00:00:00',1,'mod_widgetkit_twitter',0,0,0,'style=bubbles\nfrom_user=yootheme\nto_user=\nref_user=\nhashtag=\nword=\nnots=\nlimit=4\nimage_size=48\nshow_image=1\nshow_author=1\nshow_date=1\nmoduleclass_sfx=\n\n',0,0,''),(107,'Twitter Single','',0,'innerbottom',0,'0000-00-00 00:00:00',1,'mod_widgetkit_twitter',0,0,0,'style=single\nfrom_user=yootheme\nto_user=\nref_user=\nhashtag=\nword=\nnots=\nlimit=4\nimage_size=48\nshow_image=1\nshow_author=1\nshow_date=1\nmoduleclass_sfx=\n\n',0,0,''),(110,'Frontpage','',5,'sidebar-b',0,'0000-00-00 00:00:00',1,'mod_mainmenu',0,0,0,'menutype=frontpagemenu\nmenu_style=list\nstartLevel=0\nendLevel=1\nshowAllChildren=0\nwindow_open=\nshow_whitespace=0\ncache=1\ntag_id=\nclass_sfx=\nmoduleclass_sfx=style-box color-transparent\nmaxdepth=10\nmenu_images=0\nmenu_images_align=0\nmenu_images_link=0\nexpand_menu=0\nactivate_parent=0\nfull_active_id=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=\nend_spacer=\n\n',0,0,''),(111,'Frontpage Gallery','',6,'sidebar-b',0,'0000-00-00 00:00:00',1,'mod_widgetkit',0,0,0,'widget_id=51\nmoduleclass_sfx=style-blank\n\n',0,0,''),(112,'Weather','<a href=\"#\">\r\n<img class=\"size-auto align-center\" src=\"images/yootheme/icon_weather.png\" height=\"126\" width=\"126\" alt=\"Weather Icon\" />\r\n<h3 class=\"module-title\">weather</h3>\r\n</a>',7,'sidebar-b',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=style-box color-color1\n\n',0,0,''),(113,'about me','<div style=\"height: 67px; width: 220px; padding-top: 150px; background: url(images/yootheme/home_aboutme.jpg) no-repeat;\">\r\n<h3 style=\"color: #fff;\" class=\"module-title\">about me</h3>\r\n</div>',24,'sidebar-a',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=style-blank\n\n',0,0,'');
DROP TABLE IF EXISTS `#__modules_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__modules_menu` VALUES (1,0),(16,3),(17,3),(18,3),(19,3),(20,3),(21,3),(22,3),(23,3),(24,3),(25,3),(26,3),(27,3),(28,3),(29,3),(30,3),(31,3),(32,3),(33,3),(34,3),(35,3),(36,3),(37,3),(38,3),(39,3),(40,0),(41,0),(42,0),(43,0),(44,3),(45,0),(46,3),(46,28),(46,29),(46,30),(46,40),(46,41),(46,42),(46,43),(46,44),(46,45),(46,46),(46,47),(46,48),(46,49),(46,50),(46,51),(46,52),(47,3),(48,8),(48,17),(48,20),(48,21),(49,4),(50,4),(51,2),(51,3),(51,4),(51,6),(51,7),(51,8),(51,9),(51,10),(51,11),(51,12),(51,13),(51,14),(51,15),(51,16),(51,17),(51,18),(51,19),(51,20),(51,21),(51,22),(51,23),(51,24),(51,25),(51,26),(51,27),(51,28),(51,29),(51,30),(51,40),(51,41),(51,42),(51,43),(51,44),(51,45),(51,46),(51,47),(51,48),(51,49),(51,50),(51,51),(51,52),(51,53),(51,54),(51,55),(51,56),(51,57),(51,60),(51,61),(51,62),(51,63),(51,64),(51,65),(51,66),(51,67),(51,68),(51,69),(52,8),(52,17),(52,20),(52,21),(64,4),(65,7),(78,10),(78,11),(78,12),(78,13),(78,14),(78,15),(83,6),(84,6),(85,6),(86,6),(87,6),(88,2),(88,4),(88,8),(88,17),(88,18),(88,19),(88,20),(88,21),(88,22),(88,23),(88,24),(88,25),(88,26),(88,27),(88,53),(88,54),(88,55),(88,56),(88,57),(88,60),(88,61),(88,62),(88,63),(88,65),(88,66),(88,67),(88,68),(88,69),(88,70),(88,71),(89,3),(90,2),(90,70),(91,2),(91,70),(92,2),(92,70),(94,1),(95,1),(103,0),(104,64),(105,60),(105,61),(105,62),(105,63),(105,65),(105,66),(105,67),(105,68),(105,69),(105,70),(106,64),(107,64),(108,0),(109,1),(110,1),(111,1),(112,1),(113,1),(114,1),(115,2);
DROP TABLE IF EXISTS `#__newsfeeds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '',
  `link` text NOT NULL,
  `filename` varchar(200) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(11) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(11) unsigned NOT NULL DEFAULT '3600',
  `checked_out` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `published` (`published`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__plugins`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__plugins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `element` varchar(100) NOT NULL DEFAULT '',
  `folder` varchar(100) NOT NULL DEFAULT '',
  `access` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(3) NOT NULL DEFAULT '0',
  `iscore` tinyint(3) NOT NULL DEFAULT '0',
  `client_id` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_folder` (`published`,`client_id`,`access`,`folder`)
) ENGINE=MyISAM AUTO_INCREMENT=44 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__plugins` VALUES (1,'Authentication - Joomla','joomla','authentication',0,1,1,1,0,0,'0000-00-00 00:00:00',''),(2,'Authentication - LDAP','ldap','authentication',0,2,0,1,0,0,'0000-00-00 00:00:00','host=\nport=389\nuse_ldapV3=0\nnegotiate_tls=0\nno_referrals=0\nauth_method=bind\nbase_dn=\nsearch_string=\nusers_dn=\nusername=\npassword=\nldap_fullname=fullName\nldap_email=mail\nldap_uid=uid\n\n'),(3,'Authentication - GMail','gmail','authentication',0,4,0,0,0,0,'0000-00-00 00:00:00',''),(4,'Authentication - OpenID','openid','authentication',0,3,0,0,0,0,'0000-00-00 00:00:00',''),(5,'User - Joomla!','joomla','user',0,0,1,0,0,0,'0000-00-00 00:00:00','autoregister=1\n\n'),(6,'Search - Content','content','search',0,1,1,1,0,0,'0000-00-00 00:00:00','search_limit=50\nsearch_content=1\nsearch_uncategorised=1\nsearch_archived=1\n\n'),(7,'Search - Contacts','contacts','search',0,3,1,1,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(8,'Search - Categories','categories','search',0,4,1,0,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(9,'Search - Sections','sections','search',0,5,1,0,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(10,'Search - Newsfeeds','newsfeeds','search',0,6,1,0,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(11,'Search - Weblinks','weblinks','search',0,2,1,1,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(12,'Content - Pagebreak','pagebreak','content',0,10000,1,1,0,0,'0000-00-00 00:00:00','enabled=1\ntitle=1\nmultipage_toc=1\nshowall=1\n\n'),(13,'Content - Rating','vote','content',0,4,1,1,0,0,'0000-00-00 00:00:00',''),(14,'Content - Email Cloaking','emailcloak','content',0,5,1,0,0,0,'0000-00-00 00:00:00','mode=1\n\n'),(15,'Content - Code Hightlighter (GeSHi)','geshi','content',0,5,0,0,0,0,'0000-00-00 00:00:00',''),(16,'Content - Load Module','loadmodule','content',0,6,1,0,0,0,'0000-00-00 00:00:00','enabled=1\nstyle=0\n\n'),(17,'Content - Page Navigation','pagenavigation','content',0,2,1,1,0,0,'0000-00-00 00:00:00','position=1\n\n'),(18,'Editor - No Editor','none','editors',0,0,1,1,0,0,'0000-00-00 00:00:00',''),(19,'Editor - TinyMCE','tinymce','editors',0,0,1,1,0,0,'0000-00-00 00:00:00','mode=advanced\nskin=0\ncompressed=0\ncleanup_startup=0\ncleanup_save=2\nentity_encoding=raw\nlang_mode=0\nlang_code=en\ntext_direction=ltr\ncontent_css=1\ncontent_css_custom=\nrelative_urls=1\nnewlines=0\ninvalid_elements=applet\nextended_elements=,@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight],@[data-lightbox],@[data-spotlight]\ntoolbar=top\ntoolbar_align=left\nhtml_height=550\nhtml_width=750\nelement_path=1\nfonts=1\npaste=1\nsearchreplace=1\ninsertdate=1\nformat_date=%Y-%m-%d\ninserttime=1\nformat_time=%H:%M:%S\ncolors=1\ntable=1\nsmilies=1\nmedia=1\nhr=1\ndirectionality=1\nfullscreen=1\nstyle=1\nlayer=1\nxhtmlxtras=1\nvisualchars=1\nnonbreaking=1\ntemplate=0\nadvimage=1\nadvlink=1\nautosave=1\ncontextmenu=1\ninlinepopups=1\nsafari=1\ncustom_plugin=\ncustom_button=\n\n'),(20,'Editor - XStandard Lite 2.0','xstandard','editors',0,0,0,1,0,0,'0000-00-00 00:00:00',''),(21,'Editor Button - Image','image','editors-xtd',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(22,'Editor Button - Pagebreak','pagebreak','editors-xtd',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(23,'Editor Button - Readmore','readmore','editors-xtd',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(24,'XML-RPC - Joomla','joomla','xmlrpc',0,7,0,1,0,0,'0000-00-00 00:00:00',''),(25,'XML-RPC - Blogger API','blogger','xmlrpc',0,7,0,1,0,0,'0000-00-00 00:00:00','catid=1\nsectionid=0\n\n'),(27,'System - SEF','sef','system',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(28,'System - Debug','debug','system',0,2,1,0,0,0,'0000-00-00 00:00:00','queries=1\nmemory=1\nlangauge=1\n\n'),(29,'System - Legacy','legacy','system',0,3,0,1,0,0,'0000-00-00 00:00:00','route=0\n\n'),(30,'System - Cache','cache','system',0,4,0,1,0,0,'0000-00-00 00:00:00','browsercache=0\ncachetime=15\n\n'),(31,'System - Log','log','system',0,5,0,1,0,0,'0000-00-00 00:00:00',''),(32,'System - Remember Me','remember','system',0,6,1,1,0,0,'0000-00-00 00:00:00',''),(33,'System - Backlink','backlink','system',0,7,0,1,0,0,'0000-00-00 00:00:00',''),(34,'System - Mootools Upgrade','mtupgrade','system',0,8,0,1,0,0,'0000-00-00 00:00:00',''),(39,'System - Widgetkit','widgetkit_system','system',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(40,'Content - Widgetkit','widgetkit_content','content',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(41,'System - Widgetkit ZOO','widgetkit_zoo','system',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(43,'System - Widgetkit Joomla','widgetkit_joomla','system',0,0,1,0,0,0,'0000-00-00 00:00:00','');
DROP TABLE IF EXISTS `#__poll_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__poll_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pollid` int(11) NOT NULL DEFAULT '0',
  `text` text NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `pollid` (`pollid`,`text`(1))
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__poll_date`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__poll_date` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `vote_id` int(11) NOT NULL DEFAULT '0',
  `poll_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `poll_id` (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__poll_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__poll_menu` (
  `pollid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`pollid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__polls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__polls` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `voters` int(9) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `lag` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__sections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `image` text NOT NULL,
  `scope` varchar(50) NOT NULL DEFAULT '',
  `image_position` varchar(30) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_scope` (`scope`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__sections` VALUES (1,'Blog','','blog','','content','left','',1,0,'0000-00-00 00:00:00',1,0,4,''),(2,'Frontpage','','frontpage','','content','left','',1,0,'0000-00-00 00:00:00',2,0,3,'');
DROP TABLE IF EXISTS `#__session`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__session` (
  `username` varchar(150) DEFAULT '',
  `time` varchar(14) DEFAULT '',
  `session_id` varchar(200) NOT NULL DEFAULT '0',
  `guest` tinyint(4) DEFAULT '1',
  `userid` int(11) DEFAULT '0',
  `usertype` varchar(50) DEFAULT '',
  `gid` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `client_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `data` longtext,
  PRIMARY KEY (`session_id`(64)),
  KEY `whosonline` (`guest`,`usertype`),
  KEY `userid` (`userid`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__session` VALUES ('','1335198394','rtltu6vv5jusfbret6qvktit32',1,0,'',0,1,'__default|a:8:{s:15:\"session.counter\";i:1;s:19:\"session.timer.start\";i:1335198391;s:18:\"session.timer.last\";i:1335198391;s:17:\"session.timer.now\";i:1335198391;s:22:\"session.client.browser\";s:72:\"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0\";s:8:\"registry\";O:9:\"JRegistry\":3:{s:17:\"_defaultNameSpace\";s:7:\"session\";s:9:\"_registry\";a:1:{s:7:\"session\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:4:\"user\";O:5:\"JUser\":19:{s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:3:\"gid\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:3:\"aid\";i:0;s:5:\"guest\";i:1;s:7:\"_params\";O:10:\"JParameter\":7:{s:4:\"_raw\";s:0:\"\";s:4:\"_xml\";N;s:9:\"_elements\";a:0:{}s:12:\"_elementPath\";a:1:{i:0;s:84:\"C:\\Webserver\\Themes\\2012\\Subway\\Website_Pack\\libraries\\joomla\\html\\parameter\\element\";}s:17:\"_defaultNameSpace\";s:8:\"_default\";s:9:\"_registry\";a:1:{s:8:\"_default\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:9:\"_errorMsg\";N;s:7:\"_errors\";a:0:{}}s:13:\"session.token\";s:32:\"79cc769ecddb4a51e90b6217d9ad1b32\";}'),('','1335198407','l6f31oqn2gaenknkhdmiih47g6',1,0,'',0,1,'__default|a:8:{s:15:\"session.counter\";i:1;s:19:\"session.timer.start\";i:1335198407;s:18:\"session.timer.last\";i:1335198407;s:17:\"session.timer.now\";i:1335198407;s:22:\"session.client.browser\";s:72:\"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0\";s:8:\"registry\";O:9:\"JRegistry\":3:{s:17:\"_defaultNameSpace\";s:7:\"session\";s:9:\"_registry\";a:1:{s:7:\"session\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:4:\"user\";O:5:\"JUser\":19:{s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:3:\"gid\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:3:\"aid\";i:0;s:5:\"guest\";i:1;s:7:\"_params\";O:10:\"JParameter\":7:{s:4:\"_raw\";s:0:\"\";s:4:\"_xml\";N;s:9:\"_elements\";a:0:{}s:12:\"_elementPath\";a:1:{i:0;s:84:\"C:\\Webserver\\Themes\\2012\\Subway\\Website_Pack\\libraries\\joomla\\html\\parameter\\element\";}s:17:\"_defaultNameSpace\";s:8:\"_default\";s:9:\"_registry\";a:1:{s:8:\"_default\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:9:\"_errorMsg\";N;s:7:\"_errors\";a:0:{}}s:13:\"session.token\";s:32:\"b9767e7c43eb53301f88dffae45162eb\";}'),('','1335198410','630ed7c6f0e6f8086cdc4a9f6c967f0b',1,0,'',0,0,'__default|a:7:{s:15:\"session.counter\";i:1;s:19:\"session.timer.start\";i:1335198410;s:18:\"session.timer.last\";i:1335198410;s:17:\"session.timer.now\";i:1335198410;s:22:\"session.client.browser\";s:72:\"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0\";s:8:\"registry\";O:9:\"JRegistry\":3:{s:17:\"_defaultNameSpace\";s:7:\"session\";s:9:\"_registry\";a:1:{s:7:\"session\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:4:\"user\";O:5:\"JUser\":19:{s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:3:\"gid\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:3:\"aid\";i:0;s:5:\"guest\";i:1;s:7:\"_params\";O:10:\"JParameter\":7:{s:4:\"_raw\";s:0:\"\";s:4:\"_xml\";N;s:9:\"_elements\";a:0:{}s:12:\"_elementPath\";a:1:{i:0;s:84:\"C:\\Webserver\\Themes\\2012\\Subway\\Website_Pack\\libraries\\joomla\\html\\parameter\\element\";}s:17:\"_defaultNameSpace\";s:8:\"_default\";s:9:\"_registry\";a:1:{s:8:\"_default\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:9:\"_errorMsg\";N;s:7:\"_errors\";a:0:{}}}'),('','1335197664','c9b79dbd0089e94d163e874cc80f0308',1,0,'',0,0,'__default|a:4:{s:22:\"session.client.browser\";s:72:\"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0\";s:15:\"session.counter\";i:1;s:8:\"registry\";O:9:\"JRegistry\":3:{s:17:\"_defaultNameSpace\";s:7:\"session\";s:9:\"_registry\";a:1:{s:7:\"session\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:4:\"user\";O:5:\"JUser\":19:{s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:3:\"gid\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:3:\"aid\";i:0;s:5:\"guest\";i:1;s:7:\"_params\";O:10:\"JParameter\":7:{s:4:\"_raw\";s:0:\"\";s:4:\"_xml\";N;s:9:\"_elements\";a:0:{}s:12:\"_elementPath\";a:1:{i:0;s:84:\"C:\\Webserver\\Themes\\2012\\Subway\\Website_Pack\\libraries\\joomla\\html\\parameter\\element\";}s:17:\"_defaultNameSpace\";s:8:\"_default\";s:9:\"_registry\";a:1:{s:8:\"_default\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:9:\"_errorMsg\";N;s:7:\"_errors\";a:0:{}}}'),('','1335198140','22414ce34c23da8a567bc6a59e5fae5e',1,0,'',0,0,'__default|a:7:{s:15:\"session.counter\";i:2;s:19:\"session.timer.start\";i:1335197725;s:18:\"session.timer.last\";i:1335197725;s:17:\"session.timer.now\";i:1335198140;s:22:\"session.client.browser\";s:72:\"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0\";s:8:\"registry\";O:9:\"JRegistry\":3:{s:17:\"_defaultNameSpace\";s:7:\"session\";s:9:\"_registry\";a:1:{s:7:\"session\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:4:\"user\";O:5:\"JUser\":19:{s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:3:\"gid\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:3:\"aid\";i:0;s:5:\"guest\";i:1;s:7:\"_params\";O:10:\"JParameter\":7:{s:4:\"_raw\";s:0:\"\";s:4:\"_xml\";N;s:9:\"_elements\";a:0:{}s:12:\"_elementPath\";a:1:{i:0;s:84:\"C:\\Webserver\\Themes\\2012\\Subway\\Website_Pack\\libraries\\joomla\\html\\parameter\\element\";}s:17:\"_defaultNameSpace\";s:8:\"_default\";s:9:\"_registry\";a:1:{s:8:\"_default\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:9:\"_errorMsg\";N;s:7:\"_errors\";a:0:{}}}');
DROP TABLE IF EXISTS `#__stats_agents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__stats_agents` (
  `agent` varchar(255) NOT NULL DEFAULT '',
  `type` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(11) unsigned NOT NULL DEFAULT '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
DROP TABLE IF EXISTS `#__templates_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__templates_menu` (
  `template` varchar(255) NOT NULL DEFAULT '',
  `menuid` int(11) NOT NULL DEFAULT '0',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`menuid`,`client_id`,`template`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__templates_menu` VALUES ('yoo_subway',0,0),('khepri',0,1);
DROP TABLE IF EXISTS `#__weblinks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__weblinks` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `archived` tinyint(1) NOT NULL DEFAULT '0',
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `catid` (`catid`,`published`,`archived`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__weblinks` VALUES (1,3,0,'YOOtheme','yootheme','http://www.yootheme.com','','2011-02-16 14:47:57',0,1,0,'0000-00-00 00:00:00',1,0,1,'target=\n\n'),(2,3,0,'ZOO','zoo','http://www.yootheme.com/zoo','','2011-02-16 14:47:38',1,1,62,'2012-01-22 12:45:50',5,0,1,'target=\n\n'),(5,3,0,'Icons','icons','http://www.yootheme.com/icons','','2011-02-16 14:48:53',2,1,0,'0000-00-00 00:00:00',4,0,1,'target=\n\n');
DROP TABLE IF EXISTS `#__widgetkit_widget`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `#__widgetkit_widget` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `style` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=53 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO `#__widgetkit_widget` VALUES (24,'gallery','wall','Demo Wall Zoom','{\"type\":\"gallery\",\"id\":24,\"name\":\"Demo Wall Zoom\",\"settings\":{\"style\":\"wall\",\"width\":200,\"height\":150,\"effect\":\"zoom\",\"margin\":\"\",\"corners\":\"\",\"lightbox\":1,\"lightbox_caption\":1,\"spotlight_effect\":\"\"},\"style\":\"wall\",\"paths\":[\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image1.jpg\":\"Model 1\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image2.jpg\":\"Model 2\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image3.jpg\":\"Model 3\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image4.jpg\":\"Model 4\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image5.jpg\":\"Model 5\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image6.jpg\":\"Model 6\"},\"links\":{\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image5.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/zoom\\/image6.jpg\":\"\"}}','2011-07-07 15:41:12','2011-07-29 10:38:06'),(25,'gallery','wall','Demo Wall Polaroid','{\"type\":\"gallery\",\"id\":25,\"name\":\"Demo Wall Polaroid\",\"settings\":{\"style\":\"wall\",\"width\":200,\"height\":150,\"order\":\"default\",\"effect\":\"polaroid\",\"margin\":\"\",\"corners\":\"\",\"lightbox\":1,\"lightbox_caption\":1,\"spotlight_effect\":\"\"},\"style\":\"wall\",\"paths\":[\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image1.jpg\":\"Tony\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image2.jpg\":\"Susan\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image3.jpg\":\"Jennifer\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image4.jpg\":\"Kim\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image5.jpg\":\"Vanessa\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image6.jpg\":\"Clark\"},\"links\":{\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image5.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/polaroid\\/image6.jpg\":\"\"}}','2011-07-07 15:44:32','2012-01-26 09:53:13'),(10,'slideshow','default','Demo Default','{\"type\":\"slideshow\",\"id\":10,\"name\":\"Demo Default\",\"settings\":{\"style\":\"default\",\"autoplay\":1,\"interval\":5000,\"width\":600,\"height\":300,\"duration\":500,\"index\":0,\"order\":\"default\",\"navigation\":1,\"buttons\":1,\"slices\":15,\"animated\":\"randomFx\",\"caption_animation_duration\":500},\"style\":\"default\",\"items\":{\"4dd00c3ee01f3\":{\"title\":\"Slide 1\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image1.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 01\\\" \\/><\\/a>\",\"caption\":\"\"},\"4dd00c473c0f2\":{\"title\":\"Slide 2\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image2.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 02\\\" \\/><\\/a>\",\"caption\":\"This is a HTML caption with a <a href=\\\"#\\\">link<\\/a>.\"},\"4dd00c4eb7982\":{\"title\":\"Slide 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image3.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 03\\\" \\/><\\/a>\",\"caption\":\"This is another HTML caption with a <a href=\\\"#\\\">link<\\/a>.\"},\"4de3f1aa49f9a\":{\"title\":\"Slide 4\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image4.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 04\\\" \\/><\\/a>\",\"caption\":\"\"},\"4de3f1ab9f6c9\":{\"title\":\"Slide 5\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image5.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 05\\\" \\/><\\/a>\",\"caption\":\"\"}}}','2011-05-15 17:24:01','2012-01-31 10:40:38'),(19,'gallery','default','Demo Slideshow','{\"type\":\"gallery\",\"id\":19,\"name\":\"Demo Slideshow\",\"settings\":{\"style\":\"default\",\"width\":600,\"height\":300,\"order\":\"default\",\"autoplay\":0,\"interval\":5000,\"duration\":500,\"index\":0,\"navigation\":1,\"buttons\":1,\"slices\":15,\"animated\":\"randomFx\",\"caption_animation_duration\":500,\"lightbox\":0},\"style\":\"default\",\"paths\":[\"\\/yootheme\\/widgetkit\\/slideshow\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/slideshow\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/image2.jpg\":\"This is a HTML caption with a <a href=\\\"#\\\">link<\\/a>.\",\"\\/yootheme\\/widgetkit\\/slideshow\\/image3.jpg\":\"This is another HTML caption with a <a href=\\\"#\\\">link<\\/a>.\",\"\\/yootheme\\/widgetkit\\/slideshow\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/image5.jpg\":\"\"},\"links\":{\"\\/yootheme\\/widgetkit\\/slideshow\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/image5.jpg\":\"\"}}','2011-06-29 17:52:08','2011-09-12 15:47:24'),(23,'gallery','wall','Demo Wall Spotlight','{\"type\":\"gallery\",\"id\":23,\"name\":\"Demo Wall Spotlight\",\"settings\":{\"style\":\"wall\",\"width\":200,\"height\":150,\"effect\":\"spotlight\",\"margin\":\"margin\",\"corners\":\"round\",\"lightbox\":1,\"lightbox_caption\":1,\"spotlight_effect\":\"\"},\"style\":\"wall\",\"paths\":[\"\\/yootheme\\/widgetkit\\/gallery\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/gallery\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image5.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image6.jpg\":\"\"},\"links\":{\"\\/yootheme\\/widgetkit\\/gallery\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image5.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/image6.jpg\":\"\"}}','2011-07-03 16:53:00','2011-07-28 16:18:08'),(34,'slideshow','tabs_bar','Demo Tabs Bar','{\"type\":\"slideshow\",\"id\":34,\"name\":\"Demo Tabs Bar\",\"settings\":{\"style\":\"tabs_bar\",\"autoplay\":0,\"interval\":5000,\"width\":\"auto\",\"height\":\"auto\",\"duration\":500,\"index\":0,\"order\":\"default\",\"navigation\":\"left\",\"animated\":\"scroll\"},\"style\":\"tabs_bar\",\"items\":{\"4e511fb86001b\":{\"title\":\"Tab One\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/icons\\/image1.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 01\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\",\"caption\":\"\"},\"4e511fd616557\":{\"title\":\"Tab Two\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/icons\\/image2.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 02\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"},\"4e511fd6eeb3b\":{\"title\":\"Tab Three\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/icons\\/image3.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 03\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"}}}','2011-08-21 15:09:51','2011-09-12 12:38:06'),(26,'map','default','Demo Default','{\"type\":\"map\",\"id\":26,\"name\":\"Demo Default\",\"settings\":{\"style\":\"default\",\"width\":\"auto\",\"height\":500,\"mapTypeId\":\"roadmap\",\"zoom\":13,\"mapCtrl\":1,\"typeCtrl\":1,\"popup\":2,\"directions\":1,\"styler_invert_lightness\":0,\"styler_hue\":\"\",\"styler_saturation\":0,\"styler_lightness\":0,\"styler_gamma\":0},\"style\":\"default\",\"items\":{\"4e16d63a2bc97\":{\"title\":\"Museum of Modern Art\",\"location\":\"Museum of Modern Art, New York, NY 10019, USA\",\"lat\":\"40.7613983\",\"lng\":\"-73.9776179\",\"icon\":\"red-dot\",\"popup\":\"<h3>Museum of Modern Art<\\/h3>\\r\\n11 W 53rd St\\r\\n<br \\/>New York, NY 10019\\r\\n<br \\/>(212) 708-9400\\r\\n<br \\/><a href=\\\"http:\\/\\/www.moma.org\\\">moma.org<\\/a>\"},\"4e16d65531670\":{\"title\":\"Madison Square Garden\",\"location\":\"Penn Station, New York, NY 10001, USA\",\"lat\":\"40.75058\",\"lng\":\"-73.99358\",\"icon\":\"red-dot\",\"popup\":\"<h3>Madison Square Garden<\\/h3>\\r\\n2 Penn Plz # 15\\r\\n<br \\/>New York, NY 10121\\r\\n<br \\/>Get Directions\\r\\n<br \\/>(212) 465-6000\\r\\n<br \\/><a href=\\\"http:\\/\\/www.msg.com\\\">msg.com<\\/a>\"},\"4e16d5e1740d8\":{\"title\":\"Rockefeller Center\",\"location\":\"Rockefeller Plaza, Rockefeller Center, New York, NY 10112, USA\",\"lat\":\"40.7584384\",\"lng\":\"-73.9789121\",\"icon\":\"red-dot\",\"popup\":\"<h3>Rockefeller Center<\\/h3>\\r\\n25 W 51st St\\r\\n<br \\/>New York, NY 10019\\r\\n<br \\/>(212) 262-1600\\r\\n<br \\/><a href=\\\"http:\\/\\/www.rockefellercenterhotel.com\\\">rockefellercenterhotel.com<\\/a>\"},\"4e16d6476a880\":{\"title\":\"Empire State Building\",\"location\":\"Empire State Bldg, 350 5th Ave, New York, NY 10001, USA\",\"lat\":\"40.748379\",\"lng\":\"-73.98555999999999\",\"icon\":\"red-dot\",\"popup\":\"<h3>Empire State Building<\\/h3>\\r\\n350 5th Ave # 3210\\r\\n<br \\/>New York, NY 10118\\r\\n<br \\/>(212) 736-3100\\r\\n<br \\/><a href=\\\"http:\\/\\/www.esbnyc.com\\\">esbnyc.com<\\/a>\"}}}','2011-07-08 10:05:25','2011-07-31 15:23:06'),(28,'map','default','Demo Black','{\"type\":\"map\",\"id\":28,\"name\":\"Demo Black\",\"settings\":{\"style\":\"default\",\"width\":\"auto\",\"height\":300,\"mapTypeId\":\"roadmap\",\"zoom\":13,\"mapCtrl\":1,\"typeCtrl\":0,\"popup\":1,\"directions\":0,\"styler_invert_lightness\":1,\"styler_hue\":\"#ff3300\",\"styler_saturation\":-50,\"styler_lightness\":0,\"styler_gamma\":0.91},\"style\":\"default\",\"items\":{\"4e19a7ec5f75a\":{\"title\":\"London\",\"location\":\"Westminster, London, UK\",\"lat\":\"51.5001524\",\"lng\":\"-0.1262362\",\"icon\":\"purple-dot\",\"popup\":\"\"}}}','2011-07-10 13:25:58','2011-07-12 08:24:47'),(27,'gallery','slider','Demo Slider Center','{\"type\":\"gallery\",\"id\":27,\"name\":\"Demo Slider Center\",\"settings\":{\"style\":\"slider\",\"width\":300,\"height\":200,\"total_width\":600,\"spacing\":3,\"center\":1,\"sticky\":0,\"duration\":400,\"lightbox\":1,\"lightbox_caption\":1,\"spotlight\":1,\"spotlight_effect\":\"bottom\"},\"style\":\"slider\",\"paths\":[\"\\/yootheme\\/widgetkit\\/gallery\\/slider2\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/gallery\\/slider2\\/image1.jpg\":\"This is a caption for the first image.\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider2\\/image2.jpg\":\"This is a caption for the second image.\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider2\\/image3.jpg\":\"This is a caption for the third image.\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider2\\/image4.jpg\":\"This is a caption for the fourth image.\"},\"links\":{\"\\/yootheme\\/widgetkit\\/gallery\\/slider2\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider2\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider2\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider2\\/image4.jpg\":\"\"}}','2011-07-08 15:28:38','2011-07-29 08:28:24'),(29,'map','default','Demo Minimal','{\"type\":\"map\",\"id\":29,\"name\":\"Demo Minimal\",\"settings\":{\"style\":\"default\",\"width\":400,\"height\":200,\"mapTypeId\":\"roadmap\",\"zoom\":13,\"mapCtrl\":0,\"typeCtrl\":0,\"popup\":0,\"directions\":0,\"styler_invert_lightness\":0,\"styler_hue\":\"\",\"styler_saturation\":0,\"styler_lightness\":0,\"styler_gamma\":0},\"style\":\"default\",\"items\":{\"4e1ac310cf33e\":{\"title\":\"Hamburg\",\"location\":\"Hamburg, Germany\",\"lat\":\"53.553813\",\"lng\":\"9.991586\",\"icon\":\"red-dot\",\"popup\":\"\"}}}','2011-07-11 09:33:05','2011-07-31 15:08:57'),(30,'accordion','default','Demo Default','{\"type\":\"accordion\",\"id\":30,\"name\":\"Demo Default\",\"settings\":{\"style\":\"default\",\"collapseall\":1,\"matchheight\":1,\"index\":0,\"duration\":500,\"width\":500},\"style\":\"default\",\"items\":{\"4e1ac6fe6a20d\":{\"title\":\"Slide 1\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/accordion\\/image1.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 01\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"},\"4e1ac708561be\":{\"title\":\"Slide 2\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/accordion\\/image2.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 02\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"},\"4e1ac70cb840e\":{\"title\":\"Slide 3\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/accordion\\/image3.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 03\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"},\"4e1ac711bbabe\":{\"title\":\"Slide 4\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/accordion\\/image4.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 04\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"}}}','2011-07-11 09:49:12','2011-12-13 20:05:58'),(31,'gallery','slider','Demo Slider Left','{\"type\":\"gallery\",\"id\":31,\"name\":\"Demo Slider Left\",\"settings\":{\"style\":\"slider\",\"width\":300,\"height\":200,\"total_width\":600,\"spacing\":3,\"center\":0,\"sticky\":0,\"duration\":400,\"lightbox\":0,\"lightbox_caption\":1,\"spotlight\":0,\"spotlight_effect\":\"\"},\"style\":\"slider\",\"paths\":[\"\\/yootheme\\/widgetkit\\/gallery\\/slider1\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/gallery\\/slider1\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider1\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider1\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider1\\/image4.jpg\":\"\"},\"links\":{\"\\/yootheme\\/widgetkit\\/gallery\\/slider1\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider1\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider1\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/slider1\\/image4.jpg\":\"\"}}','2011-07-12 18:23:44','2011-07-29 07:48:55'),(32,'slideset','default','Demo Slide','{\"type\":\"slideset\",\"id\":32,\"name\":\"Demo Slide\",\"settings\":{\"style\":\"default\",\"width\":\"auto\",\"height\":\"auto\",\"effect\":\"slide\",\"index\":0,\"autoplay\":1,\"interval\":5000,\"items_per_set\":4,\"navigation\":1,\"buttons\":0,\"title\":1,\"duration\":300},\"style\":\"default\",\"items\":{\"4e30070bb3f2c\":{\"title\":\"Radio\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image1.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 01\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e30071628817\":{\"title\":\"Camera\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image2.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 02\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e30071b515e1\":{\"title\":\"Calendar\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image3.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 03\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e300720a131e\":{\"title\":\"Volume\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image4.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 04\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e300725404e2\":{\"title\":\"Chat\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image5.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 05\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 2\"},\"4e301094b3b19\":{\"title\":\"Tunes\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image6.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 06\\\" \\/><\\/a>\",\"set\":\"Set 2\"},\"4e301099469eb\":{\"title\":\"E-Mail\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image7.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 07\\\" \\/><\\/a>\",\"set\":\"Set 2\"},\"4e30109dc7253\":{\"title\":\"Google+\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image8.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 08\\\" \\/><\\/a>\",\"set\":\"Set 2\"},\"4e30109faa62d\":{\"title\":\"Player\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image9.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 09\\\" \\/><\\/a>\",\"set\":\"Set 3\"},\"4e3010a16c585\":{\"title\":\"Like\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image10.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 10\\\" \\/><\\/a>\",\"set\":\"Set 3\"},\"4e329ee00dfeb\":{\"title\":\"Twitter\",\"set\":\"Set 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image11.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 12\\\" \\/><\\/a>\"},\"4e329ee198f40\":{\"title\":\"Weather\",\"set\":\"Set 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image12.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 12\\\" \\/><\\/a>\"}}}','2011-07-27 12:40:13','2012-01-04 15:38:42'),(33,'slideset','default','Demo Zoom','{\"type\":\"slideset\",\"id\":33,\"name\":\"Demo Zoom\",\"settings\":{\"style\":\"default\",\"width\":\"auto\",\"height\":\"auto\",\"effect\":\"zoom\",\"index\":0,\"autoplay\":1,\"interval\":7000,\"items_per_set\":\"set\",\"navigation\":2,\"buttons\":0,\"title\":0,\"duration\":300},\"style\":\"default\",\"items\":{\"4e30070bb3f2c\":{\"title\":\"Icon 1\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/movie1.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 01\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Movies\"},\"4e30071628817\":{\"title\":\"Icon 2\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/movie2.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 02\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Movies\"},\"4e30071b515e1\":{\"title\":\"Icon 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/movie3.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 03\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Movies\"},\"4e300720a131e\":{\"title\":\"Icon 4\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/movie4.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 04\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Movies\"},\"4e300725404e2\":{\"title\":\"Item 5\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/book1.png\\\" width=\\\"90\\\" height=\\\"115\\\" alt=\\\"Icon 05\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Books\"},\"4e301094b3b19\":{\"title\":\"Icon 6\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/book2.png\\\" width=\\\"90\\\" height=\\\"115\\\" alt=\\\"Icon 06\\\" \\/><\\/a>\",\"set\":\"Books\"},\"4e301099469eb\":{\"title\":\"Icon 7\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/book3.png\\\" width=\\\"90\\\" height=\\\"115\\\" alt=\\\"Icon 07\\\" \\/><\\/a>\",\"set\":\"Books\"},\"4e30109dc7253\":{\"title\":\"Icon 8\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/book4.png\\\" width=\\\"90\\\" height=\\\"115\\\" alt=\\\"Icon 08\\\" \\/><\\/a>\",\"set\":\"Books\"},\"4e30109faa62d\":{\"title\":\"Icon 9\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/book5.png\\\" width=\\\"90\\\" height=\\\"115\\\" alt=\\\"Icon 09\\\" \\/><\\/a>\",\"set\":\"Books\"},\"4e3010a16c585\":{\"title\":\"Icon 10\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/music1.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 10\\\" \\/><\\/a>\",\"set\":\"Music\"},\"4e329ee00dfeb\":{\"title\":\"Icon 11\",\"set\":\"Music\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/music2.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 12\\\" \\/><\\/a>\"},\"4e329ee198f40\":{\"title\":\"Icon 12\",\"set\":\"Music\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/music3.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 12\\\" \\/><\\/a>\"},\"4f2a65a31c537\":{\"title\":\"Icon 13\",\"set\":\"Music\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/sets\\/music4.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 13\\\" \\/><\\/a>\"}}}','2011-07-29 11:53:34','2012-02-27 10:50:02'),(35,'slideshow','tabs','Demo Tabs','{\"type\":\"slideshow\",\"id\":35,\"name\":\"Demo Tabs\",\"settings\":{\"style\":\"tabs\",\"autoplay\":0,\"interval\":5000,\"width\":\"auto\",\"height\":\"auto\",\"duration\":500,\"index\":0,\"order\":\"default\",\"navigation\":\"left\",\"animated\":\"scroll\"},\"style\":\"tabs\",\"items\":{\"4e511fb86001b\":{\"title\":\"Tab One\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/icons\\/image4.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 04\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\",\"caption\":\"\"},\"4e511fd616557\":{\"title\":\"Tab Two\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/icons\\/image5.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 05\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"},\"4e511fd6eeb3b\":{\"title\":\"Tab Three\",\"content\":\"<img class=\\\"align-left\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/icons\\/image6.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 06\\\" \\/>\\r\\n<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"}}}','2011-08-22 13:43:01','2011-09-09 15:54:58'),(36,'slideshow','list','Demo List','{\"type\":\"slideshow\",\"id\":36,\"name\":\"Demo List\",\"settings\":{\"style\":\"list\",\"autoplay\":0,\"interval\":5000,\"width\":\"auto\",\"height\":\"auto\",\"duration\":500,\"index\":0,\"order\":\"default\",\"navigation\":200,\"animated\":\"scroll\"},\"style\":\"list\",\"items\":{\"4e511fb86001b\":{\"title\":\"Item One\",\"content\":\"<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/icons\\/image9.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 09\\\" \\/>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\",\"caption\":\"\"},\"4e511fd616557\":{\"title\":\"Item Two\",\"content\":\"<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/icons\\/image8.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 08\\\" \\/>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"},\"4e511fd6eeb3b\":{\"title\":\"Item Three\",\"content\":\"<h3 class=\\\"remove-margin-t\\\">Headline<\\/h3>\\r\\n<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/icons\\/image7.png\\\" width=\\\"115\\\" height=\\\"105\\\" alt=\\\"Icon 07\\\" \\/>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\"}}}','2011-08-23 09:54:41','2011-09-05 12:36:22'),(37,'slideshow','showcase_box','Demo Showcase Box','{\"type\":\"slideshow\",\"id\":37,\"name\":\"Demo Showcase Box\",\"settings\":{\"style\":\"showcase_box\",\"autoplay\":0,\"interval\":5000,\"width\":600,\"height\":270,\"duration\":500,\"index\":0,\"order\":\"default\",\"buttons\":0,\"slices\":20,\"animated\":\"scroll\",\"caption_animation_duration\":500,\"effect\":\"slide\",\"slideset_buttons\":1,\"items_per_set\":4,\"slideset_effect_duration\":400},\"style\":\"showcase_box\",\"items\":{\"4dd00c3ee01f3\":{\"title\":\"Slide 1\",\"content\":\"<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image1.png\\\" width=\\\"210\\\" height=\\\"220\\\" alt=\\\"Image 01\\\" \\/>\\r\\n<h2 class=\\\"remove-margin-t\\\">Headline<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<a href=\\\"#\\\" class=\\\"button-more\\\">Read more<\\/a>\",\"caption\":\"\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image1_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 01\\\" \\/> Item 1\"},\"4dd00c473c0f2\":{\"title\":\"Slide 2\",\"content\":\"<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image2.png\\\" width=\\\"210\\\" height=\\\"220\\\" alt=\\\"Image 02\\\" \\/>\\r\\n<h2 class=\\\"remove-margin-t\\\">Headline<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<a href=\\\"#\\\" class=\\\"button-more\\\">Read more<\\/a>\",\"caption\":\"\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image2_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 02\\\" \\/> Item 2\"},\"4dd00c4eb7982\":{\"title\":\"Slide 3\",\"content\":\"<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image3.png\\\" width=\\\"210\\\" height=\\\"220\\\" alt=\\\"Image 03\\\" \\/>\\r\\n<h2 class=\\\"remove-margin-t\\\">Headline<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<a href=\\\"#\\\" class=\\\"button-more\\\">Read more<\\/a>\",\"caption\":\"\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image3_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 03\\\" \\/> Item 3\"},\"4de3f1aa49f9a\":{\"title\":\"Slide 4\",\"content\":\"<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image4.png\\\" width=\\\"210\\\" height=\\\"220\\\" alt=\\\"Image 04\\\" \\/>\\r\\n<h2 class=\\\"remove-margin-t\\\">Headline<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<a href=\\\"#\\\" class=\\\"button-more\\\">Read more<\\/a>\",\"caption\":\"\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image4_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 04\\\" \\/> Item 4\"},\"4de3f1ab9f6c9\":{\"title\":\"Slide 5\",\"content\":\"<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image5.png\\\" width=\\\"210\\\" height=\\\"220\\\" alt=\\\"Image 05\\\" \\/>\\r\\n<h2 class=\\\"remove-margin-t\\\">Headline<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<a href=\\\"#\\\" class=\\\"button-more\\\">Read more<\\/a>\",\"caption\":\"\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image5_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 05\\\" \\/> Item 5\"},\"4e65eda9682e1\":{\"title\":\"Slide 6\",\"content\":\"<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image6.png\\\" width=\\\"210\\\" height=\\\"220\\\" alt=\\\"Image 06\\\" \\/>\\r\\n<h2 class=\\\"remove-margin-t\\\">Headline<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<a href=\\\"#\\\" class=\\\"button-more\\\">Read more<\\/a>\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image6_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 06\\\" \\/> Item 6\",\"caption\":\"\"},\"4e65edadd0d97\":{\"title\":\"Slide 7\",\"content\":\"<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image7.png\\\" width=\\\"210\\\" height=\\\"220\\\" alt=\\\"Image 07\\\" \\/>\\r\\n<h2 class=\\\"remove-margin-t\\\">Headline<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<a href=\\\"#\\\" class=\\\"button-more\\\">Read more<\\/a>\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image7_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 07\\\" \\/> Item 7\",\"caption\":\"\"},\"4e65edb02bf73\":{\"title\":\"Slide 8\",\"content\":\"<img class=\\\"align-right\\\" src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image8.png\\\" width=\\\"210\\\" height=\\\"220\\\" alt=\\\"Image 08\\\" \\/>\\r\\n<h2 class=\\\"remove-margin-t\\\">Headline<\\/h2>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n<a href=\\\"#\\\" class=\\\"button-more\\\">Read more<\\/a>\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image8_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 08\\\" \\/> Item 8\",\"caption\":\"\"}}}','2011-08-23 15:51:42','2011-09-29 15:18:40'),(39,'gallery','showcase_box','Demo Showcase Box','{\"type\":\"gallery\",\"id\":39,\"name\":\"Demo Showcase Box\",\"settings\":{\"style\":\"showcase_box\",\"width\":600,\"height\":\"auto\",\"thumb_width\":85,\"thumb_height\":55,\"autoplay\":1,\"interval\":5000,\"duration\":400,\"index\":0,\"buttons\":0,\"slices\":15,\"animated\":\"randomFx\",\"caption_animation_duration\":500,\"effect\":\"zoom\",\"slideset_buttons\":1,\"items_per_set\":4,\"slideset_effect_duration\":300},\"style\":\"showcase_box\",\"paths\":[\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image2.jpg\":\"This is a HTML caption with a <a href=\\\"#\\\">link<\\/a>.\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image3.jpg\":\"This is another HTML caption with a <a href=\\\"#\\\">link<\\/a>.\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image5.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image6.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image7.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image8.jpg\":\"\"},\"links\":{\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image5.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image6.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image7.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase1\\/image8.jpg\":\"\"}}','2011-09-07 16:58:35','2012-01-06 13:04:19'),(40,'gallery','showcase','Demo Showcase','{\"type\":\"gallery\",\"id\":40,\"name\":\"Demo Showcase\",\"settings\":{\"style\":\"showcase\",\"width\":600,\"height\":\"auto\",\"thumb_width\":80,\"thumb_height\":45,\"autoplay\":0,\"interval\":5000,\"duration\":500,\"index\":0,\"buttons\":0,\"slices\":15,\"animated\":\"randomSimple\",\"caption_animation_duration\":500,\"effect\":\"zoom\",\"slideset_buttons\":1,\"items_per_set\":5,\"slideset_effect_duration\":300},\"style\":\"showcase\",\"paths\":[\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image01.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image02.jpg\":\"This is a HTML caption with a <a href=\\\"#\\\">link<\\/a>.\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image03.jpg\":\"This is another HTML caption with a <a href=\\\"#\\\">link<\\/a>.\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image04.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image05.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image06.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image07.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image08.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image09.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image10.jpg\":\"\"},\"links\":{\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image01.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image02.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image03.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image04.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image05.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image06.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image07.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image08.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image09.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/gallery\\/showcase2\\/image10.jpg\":\"\"}}','2011-09-09 15:18:41','2012-01-05 16:56:06'),(41,'slideshow','showcase_buttons','Demo Showcase Buttons','{\"type\":\"slideshow\",\"id\":41,\"name\":\"Demo Showcase Buttons\",\"settings\":{\"style\":\"showcase_buttons\",\"autoplay\":0,\"interval\":5000,\"width\":600,\"height\":300,\"duration\":500,\"index\":0,\"order\":\"default\",\"buttons\":1,\"slices\":20,\"animated\":\"randomFx\",\"caption_animation_duration\":500,\"effect\":\"zoom\",\"slideset_buttons\":0,\"items_per_set\":4,\"slideset_effect_duration\":400},\"style\":\"showcase_buttons\",\"items\":{\"4dd00c3ee01f3\":{\"title\":\"Slide 1\",\"content\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase2\\/image1.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 01\\\" \\/>\",\"caption\":\"\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image1_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 01\\\" \\/> Item 1\"},\"4dd00c473c0f2\":{\"title\":\"Slide 2\",\"content\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase2\\/image2.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 02\\\" \\/>\",\"caption\":\"\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image2_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 02\\\" \\/> Item 2\"},\"4dd00c4eb7982\":{\"title\":\"Slide 3\",\"content\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase2\\/image3.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 03\\\" \\/>\",\"caption\":\"\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image3_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 03\\\" \\/> Item 3\"},\"4de3f1aa49f9a\":{\"title\":\"Slide 4\",\"content\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase2\\/image4.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 04\\\" \\/>\",\"caption\":\"\",\"navigation\":\"<img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/showcase1\\/image4_thumb.png\\\" width=\\\"35\\\" height=\\\"35\\\" alt=\\\"Image 04\\\" \\/> Item 4\"}}}','2011-09-12 15:52:19','2011-09-13 10:04:58'),(43,'slideset','default','Demo Deck','{\"type\":\"slideset\",\"id\":43,\"name\":\"Demo Deck\",\"settings\":{\"style\":\"default\",\"width\":\"auto\",\"height\":\"auto\",\"effect\":\"deck\",\"index\":0,\"autoplay\":1,\"interval\":11000,\"items_per_set\":4,\"navigation\":0,\"buttons\":1,\"title\":0,\"duration\":300},\"style\":\"default\",\"items\":{\"4e30070bb3f2c\":{\"title\":\"Radio\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image1.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 01\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e30071628817\":{\"title\":\"Camera\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image2.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 02\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e30071b515e1\":{\"title\":\"Calendar\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image3.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 03\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e300720a131e\":{\"title\":\"Volume\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image4.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 04\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e300725404e2\":{\"title\":\"Chat\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image5.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 05\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 2\"},\"4e301094b3b19\":{\"title\":\"Tunes\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image6.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 06\\\" \\/><\\/a>\",\"set\":\"Set 2\"},\"4e301099469eb\":{\"title\":\"E-Mail\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image7.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 07\\\" \\/><\\/a>\",\"set\":\"Set 2\"},\"4e30109dc7253\":{\"title\":\"Google+\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image8.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 08\\\" \\/><\\/a>\",\"set\":\"Set 2\"},\"4e30109faa62d\":{\"title\":\"Player\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image9.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 09\\\" \\/><\\/a>\",\"set\":\"Set 3\"},\"4e3010a16c585\":{\"title\":\"Like\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image10.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 10\\\" \\/><\\/a>\",\"set\":\"Set 3\"},\"4e329ee00dfeb\":{\"title\":\"Twitter\",\"set\":\"Set 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image11.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 12\\\" \\/><\\/a>\"},\"4e329ee198f40\":{\"title\":\"Weather\",\"set\":\"Set 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/image12.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 12\\\" \\/><\\/a>\"}}}','2011-09-12 18:34:35','2012-02-02 10:38:45'),(44,'gallery','slideset','Demo Slideset','{\"type\":\"gallery\",\"id\":44,\"name\":\"Demo Slideset\",\"settings\":{\"style\":\"slideset\",\"width\":\"auto\",\"height\":\"auto\",\"effect\":\"slide\",\"autoplay\":1,\"interval\":5000,\"items_per_set\":4,\"navigation\":1,\"buttons\":1,\"title\":1,\"duration\":500,\"lightbox\":0},\"style\":\"slideset\",\"paths\":[\"\\/yootheme\\/widgetkit\\/slideset\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/slideset\\/image1.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image10.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image11.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image12.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image2.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image3.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image4.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image5.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image6.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image7.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image8.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image9.png\":\"\"},\"links\":{\"\\/yootheme\\/widgetkit\\/slideset\\/image1.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image10.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image11.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image12.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image2.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image3.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image4.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image5.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image6.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image7.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image8.png\":\"\",\"\\/yootheme\\/widgetkit\\/slideset\\/image9.png\":\"\"}}','2012-01-04 12:20:06','2012-01-06 11:25:05'),(45,'slideshow','screen','Demo Screen','{\"type\":\"slideshow\",\"id\":45,\"name\":\"Demo Screen\",\"settings\":{\"style\":\"screen\",\"autoplay\":1,\"interval\":10000,\"width\":600,\"height\":300,\"duration\":1000,\"index\":0,\"order\":\"default\",\"navigation\":1,\"buttons\":1,\"slices\":15,\"animated\":\"kenburns\",\"caption_animation_duration\":500},\"style\":\"screen\",\"items\":{\"4dd00c3ee01f3\":{\"title\":\"Slide 1\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image1.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 01\\\" \\/><\\/a>\",\"caption\":\"\"},\"4dd00c473c0f2\":{\"title\":\"Slide 2\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image2.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 02\\\" \\/><\\/a>\",\"caption\":\"This is a HTML caption with a <a href=\\\"#\\\">link<\\/a>.\"},\"4dd00c4eb7982\":{\"title\":\"Slide 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image3.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 03\\\" \\/><\\/a>\",\"caption\":\"This is another HTML caption with a <a href=\\\"#\\\">link<\\/a>.\"},\"4de3f1aa49f9a\":{\"title\":\"Slide 4\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image4.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 04\\\" \\/><\\/a>\",\"caption\":\"\"},\"4f27c34aee78f\":{\"title\":\"Slide 5\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image5.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 05\\\" \\/><\\/a>\",\"caption\":\"\"}}}','2012-01-30 16:15:12','2012-02-01 09:22:15'),(48,'gallery','screen','Demo Slideshow Screen','{\"type\":\"gallery\",\"id\":48,\"name\":\"Demo Slideshow Screen\",\"settings\":{\"style\":\"screen\",\"width\":600,\"height\":\"auto\",\"autoplay\":0,\"order\":\"default\",\"interval\":5000,\"duration\":500,\"index\":0,\"navigation\":1,\"buttons\":1,\"slices\":20,\"animated\":\"swipe\",\"caption_animation_duration\":500,\"lightbox\":0},\"style\":\"screen\",\"paths\":[\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\"],\"captions\":{\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image5.jpg\":\"\"},\"links\":{\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image1.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image2.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image3.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image4.jpg\":\"\",\"\\/yootheme\\/widgetkit\\/slideshow\\/screen\\/image5.jpg\":\"\"}}','2012-02-01 13:57:51','2012-02-02 09:32:52'),(49,'slideset','default','Demo Drops','{\"type\":\"slideset\",\"id\":49,\"name\":\"Demo Drops\",\"settings\":{\"style\":\"default\",\"width\":\"auto\",\"height\":\"auto\",\"effect\":\"drops\",\"index\":0,\"autoplay\":1,\"interval\":9000,\"items_per_set\":4,\"navigation\":1,\"buttons\":0,\"title\":1,\"duration\":200},\"style\":\"default\",\"items\":{\"4e30070bb3f2c\":{\"title\":\"Album 1\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music1.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 01\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e30071628817\":{\"title\":\"Album 2\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music2.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 02\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e30071b515e1\":{\"title\":\"Album 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music3.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 03\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e300720a131e\":{\"title\":\"Album 4\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music4.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 04\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 1\"},\"4e300725404e2\":{\"title\":\"Album 5\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music5.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 05\\\" \\/><\\/a>\",\"group\":\"\",\"set\":\"Set 2\"},\"4e301094b3b19\":{\"title\":\"Album 6\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music6.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 06\\\" \\/><\\/a>\",\"set\":\"Set 2\"},\"4e301099469eb\":{\"title\":\"Album 7\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music7.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 07\\\" \\/><\\/a>\",\"set\":\"Set 2\"},\"4e30109dc7253\":{\"title\":\"Album 8\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music8.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 08\\\" \\/><\\/a>\",\"set\":\"Set 2\"},\"4e30109faa62d\":{\"title\":\"Album 9\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music9.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 09\\\" \\/><\\/a>\",\"set\":\"Set 3\"},\"4e3010a16c585\":{\"title\":\"Album 10\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music10.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 10\\\" \\/><\\/a>\",\"set\":\"Set 3\"},\"4e329ee00dfeb\":{\"title\":\"Album 11\",\"set\":\"Set 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music11.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 12\\\" \\/><\\/a>\"},\"4e329ee198f40\":{\"title\":\"Album 12\",\"set\":\"Set 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideset\\/music\\/music12.png\\\" width=\\\"115\\\" height=\\\"115\\\" alt=\\\"Icon 12\\\" \\/><\\/a>\"}}}','2012-02-02 10:32:01','2012-02-02 10:57:03'),(50,'slideshow','default','Demo Lightbox','{\"type\":\"slideshow\",\"id\":50,\"name\":\"Demo Lightbox\",\"settings\":{\"style\":\"default\",\"autoplay\":1,\"interval\":5000,\"width\":600,\"height\":300,\"duration\":500,\"index\":0,\"order\":\"default\",\"navigation\":0,\"buttons\":1,\"slices\":15,\"animated\":\"randomFx\",\"caption_animation_duration\":500},\"style\":\"default\",\"items\":{\"4dd00c3ee01f3\":{\"title\":\"Slide 1\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image1.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 01\\\" \\/><\\/a>\",\"caption\":\"\"},\"4dd00c473c0f2\":{\"title\":\"Slide 2\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image2.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 02\\\" \\/><\\/a>\",\"caption\":\"This is a HTML caption with a <a href=\\\"#\\\">link<\\/a>.\"},\"4dd00c4eb7982\":{\"title\":\"Slide 3\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image3.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 03\\\" \\/><\\/a>\",\"caption\":\"This is another HTML caption with a <a href=\\\"#\\\">link<\\/a>.\"},\"4de3f1aa49f9a\":{\"title\":\"Slide 4\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image4.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 04\\\" \\/><\\/a>\",\"caption\":\"\"},\"4de3f1ab9f6c9\":{\"title\":\"Slide 5\",\"content\":\"<a href=\\\"#\\\"><img src=\\\"images\\/yootheme\\/widgetkit\\/slideshow\\/image5.jpg\\\" width=\\\"600\\\" height=\\\"300\\\" alt=\\\"Image 05\\\" \\/><\\/a>\",\"caption\":\"\"}}}','2012-02-02 12:42:27','2012-02-02 12:43:08'),(51,'gallery','subway','Frontpage Gallery','{\"type\":\"gallery\",\"id\":51,\"name\":\"Frontpage Gallery\",\"settings\":{\"style\":\"subway\",\"width\":220,\"height\":220,\"autoplay\":1,\"order\":\"default\",\"interval\":5000,\"duration\":500,\"index\":0,\"navigation\":1,\"buttons\":1,\"slices\":20,\"animated\":\"kenburns\",\"caption_animation_duration\":500,\"lightbox\":0},\"style\":\"subway\",\"paths\":[\"\\/yootheme\\/demo\\/gallery\"],\"captions\":{\"\\/yootheme\\/demo\\/gallery\\/1.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/2.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/3.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/4.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/5.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/6.jpg\":\"\"},\"links\":{\"\\/yootheme\\/demo\\/gallery\\/1.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/2.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/3.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/4.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/5.jpg\":\"\",\"\\/yootheme\\/demo\\/gallery\\/6.jpg\":\"\"}}','2012-04-05 15:48:45','2012-04-19 14:22:52'),(52,'slideshow','subway_list','Frontpage Slideshow','{\"type\":\"slideshow\",\"id\":52,\"name\":\"Frontpage Slideshow\",\"settings\":{\"style\":\"subway_list\",\"autoplay\":1,\"interval\":5000,\"width\":\"auto\",\"height\":\"188px\",\"duration\":500,\"index\":0,\"order\":\"default\",\"navigation\":200,\"animated\":\"fade\"},\"style\":\"subway_list\",\"items\":{\"4f8405d967585\":{\"title\":\"my music\",\"content\":\"<img alt=\\\"Demo Image\\\" height=\\\"150\\\" width=\\\"310\\\" src=\\\"images\\/yootheme\\/demo\\/slideshow\\/demo_music.png\\\" \\/>\",\"caption\":\"\"},\"4f8407fb2795e\":{\"title\":\"my movies\",\"content\":\"<img alt=\\\"Demo Image\\\" height=\\\"150\\\" width=\\\"310\\\" src=\\\"images\\/yootheme\\/demo\\/slideshow\\/demo_movies.png\\\" \\/>\",\"caption\":\"\"},\"4f8408067836e\":{\"title\":\"my books\",\"content\":\"<img alt=\\\"Demo Image\\\" height=\\\"150\\\" width=\\\"310\\\" src=\\\"images\\/yootheme\\/demo\\/slideshow\\/demo_books.png\\\" \\/>\",\"caption\":\"\"},\"4f840940434cf\":{\"title\":\"my apps\",\"content\":\"<img alt=\\\"Demo Image\\\" height=\\\"150\\\" width=\\\"310\\\" src=\\\"images\\/yootheme\\/demo\\/slideshow\\/demo_apps.png\\\" \\/>\",\"caption\":\"\"}}}','2012-04-10 10:05:41','2012-04-13 14:09:05');
